changelogs.md


electron-userland/electron-forge

Repository  -  API  -  Source

6.0.0-beta.53

August 25, 2020

Build System / Dependencies

  • upgrade transitive dependencies (1e62bb0b)
  • refactor GitHub Action jobs (#1875) (4afa3dca)
  • use the rolling v2 branch for dependabolt (0793b20b)
  • add GitHub Actions to Dependabot for real this time (01d2d393)
  • add Dependabot config (#1811) (765e8f25)
  • deps:
    • upgrade aws-sdk to 2.739.0 (57915f85)
    • upgrade electron-rebuild to 2.0.1 (1b4a68da)
    • upgrade webpack-merge to 5.1.2 (3a6c6f04)
    • upgrade electron-rebuild to ^2.0.0 (5924aef4)
    • upgrade electron-packager to 15.1.0 (ccac56e2)
    • bump open from 7.1.0 to 7.2.0 (#1927) (2821473b)
    • bump @octokit/types from 5.4.0 to 5.4.1 (#1925) (6bfa4ab9)
    • bump codecov/codecov-action from v1.0.12 to v1.0.13 (9da35377)
    • bump lodash from 4.17.19 to 4.17.20 (#1917) (a8db2000)
    • bump find-up from 4.1.0 to 5.0.0 (#1902) (174baa26)
    • upgrade @octokit/types to 5.4.0 (a311e323)
    • upgrade ora to ^5.0.0 (4d8356a2)
    • upgrade @octokit/types to 5.3.0 (5e2bdd81)
    • upgrade electron-wix-msi to ^3.0.0 (fafe0d26)
    • upgrade ora to 4.1.0 (387d7224)
    • bump @octokit/core from 3.1.1 to 3.1.2 (#1886) (6ae3d5e8)
    • bump @octokit/types from 5.2.0 to 5.2.1 (#1887) (9e93f3cc)
    • bump webpack-merge from 5.0.9 to 5.1.1 (#1883) (b0ca86af)
    • update codecov/codecov-action requirement to v1.0.12 (#1880) (0be4195a)
    • update actions/setup-node requirement to v2.1.1 (#1881) (2172d157)
    • upgrade webpack to 4.44.1 (3263c7db)
    • upgrade aws-sdk to 2.720.0 (65f3e05b)
    • upgrade webpack to 4.44.0 (16ff101d)
    • upgrade @octokit/rest to 18.0.3 (88940331)
    • upgrade transitive dependencies (ab893497)
    • bump electron-installer-redhat from 3.1.0 to 3.2.0 (#1866) (7fe7e6f8)
    • bump @octokit/types from 5.1.0 to ^5.1.1 (#1861) (ee889bf6)
    • bump codecov/codecov-action from v1.0.11 to v1.0.12 (c18c3dea)
    • bump inquirer from 7.3.2 to 7.3.3 (#1860) (889a63b9)
    • bump actions/setup-node from v2.1.0 to v2.1.1 (027e4320)
    • bump ora from 4.0.4 to 4.0.5 (#1850) (307a1631)
    • bump open from 7.0.4 to 7.1.0 (#1849) (ec41d582)
    • bump @octokit/rest from 18.0.0 to 18.0.1 (#1842) (5d9b8f15)
    • bump @octokit/core from 3.1.0 to 3.1.1 (#1844) (f051a76e)
    • bump @octokit/types from 5.0.1 to 5.1.0 (#1841) (e106ca03)
    • upgrade aws-sdk to 2.713.0 (c8b65bb8)
    • upgrade inquirer to 7.3.2 (35ebc8ca)
    • bump xterm from 4.7.0 to 4.8.1 (#1834) (2a2fa4fc)
    • bump webpack-merge from 5.0.8 to 5.0.9 (#1830) (b30945c7)
    • bump lodash from 4.17.15 to 4.17.19 (#1829) (f7cb5a4e)
    • bump webpack-merge from 4.2.2 to 5.0.8 (#1827) (d0258786)
    • bump electron-winstaller from 4.0.0 to 4.0.1 (#1825) (89b66397)
    • upgrade transitive dependencies (92d2adc1)
    • bump @octokit/rest from 16.43.1 to 18.0.0 (#1813) (0a8d66ee)
    • bump actions/setup-node from v1 to v2.1.0 (27e1aea6)
    • bump actions/cache from v1 to v2 (9c91acf5)
    • upgrade inquirer to 7.3.0 (6bdb2a96)
    • upgrade electron-installer-redhat to 3.1.0 (ea35be30)
    • upgrade electron-installer-debian to 3.1.0 (c624b017)
  • deps-dev:
    • upgrade lint-staged to 10.2.12 (2434f042)
    • upgrade @typescript-eslint/{eslint-plugin,parser} to 3.10.1 (96b79d54)
    • upgrade typescript to ^4.0.2 (89905835)
    • upgrade ts-node to ^9.0.0 (d6556bdf)
    • upgrade commitizen to 4.2.0 (d0435b02)
    • upgrade @typescript-eslint/{eslint-plugin,parser} to 3.10.0 (482c8386)
    • upgrade @types/lodash to 4.14.160 (37f04228)
    • upgrade commitizen to 4.1.5 (0421b2ad)
    • upgrade @types/webpack-dev-middleware to 3.7.2 (80ec76d5)
    • upgrade @types/mocha to 8.0.3 (b59510ed)
    • upgrade @types/inquirer to 7.3.1 (2ee537a2)
    • upgrade @babel/core to 7.11.4 (a50b3565)
    • upgrade @typescript-eslint/{eslint-plugin,parser} to 3.9.1 (34ff23c3)
    • bump @types/sinon from 9.0.4 to 9.0.5 (56082c2b)
    • bump typescript in /packages/template/typescript/tmpl (cff9c915)
    • bump typescript (7d69849e)
    • bump @types/semver from 7.3.2 to 7.3.3 (f5590e7e)
    • bump fetch-mock from 9.10.6 to 9.10.7 (#1919) (36715e0e)
    • bump @types/node from 14.0.27 to 14.6.0 (5f1decb8)
    • bump eslint from 7.6.0 to 7.7.0 (#1918) (ac413c8e)
    • bump @types/semver from 7.3.1 to 7.3.2 (3c28358e)
    • bump style-loader (8eab75a1)
    • bump node-loader (401c5b6e)
    • bump node-loader in /packages/template/webpack/tmpl (dcdc6581)
    • bump fork-ts-checker-webpack-plugin (7c45045b)
    • bump css-loader (0fdb0c4a)
    • bump eslint to ^7 and @typescript-eslint to ^3 (3d8bf0ea)
    • bump ts-loader (7a574427)
    • bump style-loader in /packages/template/webpack/tmpl (895bc947)
    • bump css-loader in /packages/template/webpack/tmpl (c841c73b)
    • bump sinon from 9.0.2 to 9.0.3 (#1901) (3bc9c4a0)
    • bump @types/mocha from 8.0.1 to 8.0.2 (789a8bec)
    • upgrade @typescript-eslint/{eslint-plugin,parser} to 3.9.0 (5602da63)
    • upgrade typedoc to ^0.18.0 (ccb7dd74)
    • upgrade eslint-plugin-mocha@^8.0.0 (cd0c80ac)
    • bump @types/lodash from 4.14.158 to 4.14.159 (d8eadf3c)
    • bump @babel/core from 7.11.0 to 7.11.1 (#1888) (5e126423)
    • bump mocha from 8.1.0 to 8.1.1 (#1889) (d5264904)
    • bump cz-customizable from 6.2.1 to 6.3.0 (#1885) (02a0ed20)
    • upgrade @typescript-eslint/{eslint-plugin,parser} to 3.8.0 (35109cf3)
    • bump @types/mocha from 8.0.0 to 8.0.1 (#1877) (fdd5799e)
    • bump fetch-mock from 9.10.5 to 9.10.6 (#1878) (941d1630)
    • bump eslint from 7.5.0 to 7.6.0 (#1879) (f7449307)
    • upgrade mocha to 8.1.0 (83be715f)
    • ugprade @babel/{core,preset-env} to 7.11.0 (10fee376)
    • upgrade @types/node to 14.0.27 (f4a252ea)
    • upgrade @typescript-eslint/{eslint-plugin,parser} to 3.7.1 (ba79a25b)
    • upgrade fetch-mock to 9.10.5 (7a866af9)
    • upgrade @types/node to 14.0.26 (57739ba6)
    • bump @types/node from 14.0.24 to 14.0.25 (00b17d1d)
    • bump @types/chai from 4.2.11 to 4.2.12 (dbbf2edf)
    • upgrade @types/inquirer to ^7.3.0 (a1dcb63f)
    • upgrade @types/lodash to 4.14.158 (95bbcd6c)
    • upgrade @typescript-eslint/{eslint-plugin,parser} to 3.7.0 (44bac784)
    • bump @types/node from 14.0.23 to 14.0.24 (2a99544f)
    • bump fetch-mock from 9.10.3 to 9.10.4 (#1847) (1da33f3a)
    • bump eslint from 7.4.0 to 7.5.0 (#1848) (b3bdfd53)
    • bump typescript from 3.9.6 to 3.9.7 (a8bbc448)
    • upgrade @babel/{cli,core,register} to 7.10.5 (4d0e216f)
    • upgrade @types/node to 14.0.23 (2a2cf774)
    • upgrade @typescript-eslint/{eslint-plugin,parser} to 3.6.1 (05ad967c)
    • bump @types/mocha from 7.0.2 to 8.0.0 (e945d3f0)
    • bump @types/node from 14.0.19 to 14.0.20 (09279a34)
    • bump @types/node from 14.0.18 to 14.0.19 (c916bc40)
    • bump @types/webpack from 4.41.20 to 4.41.21 (#1824) (d189b207)
    • upgrade cz-customizable to 6.2.1 (78bea45d)
    • upgrade @types/node to 14.0.18 (df72966b)
    • upgrade @types/glob to ^7.1.3 (35d8346a)
    • upgrade @types/chai-as-promised to 7.1.3 (249adf65)
    • upgrade @typescript-eslint/{eslint-plugin,parser} to 3.6.0 (beb6f024)
    • bump @types/express from 4.17.6 to 4.17.7 (#1821) (6b771c82)
    • bump @types/webpack from 4.41.18 to 4.41.20 (#1819) (54eecde3)
    • bump eslint from 7.3.1 to 7.4.0 (#1812) (d87635f2)
    • upgrade typescript to 3.9.6 (602bc11c)
    • upgrade @babel/* to 7.10.4 (885950aa)
    • upgrade @typescript-eslint/{eslint-plugin,parser} to 3.5.0 (3674b174)
    • upgrade typedoc to 0.17.8 (93a696c3)
  • ci:
    • codecov/codecov-action@v1 isn't actually updated to latest v1.x.y (ba00d28e)
    • use Codecov Action instead of devDependency (#1854) (623539c8)

New Features

  • add Electronegativity plugin (#1900) (a6a65cae)
  • core: add params to the postPackage hook (#1896) (e9a2ba07)

Bug Fixes

  • template: remove TS warning while scaffolding TS templates (#1664) (e447adc6)
  • plugin-webpack: prevent the renderer config from overriding its preload config's target (#1853) (8126a736)
  • core: Re-throw non-require errors when using requireSearch (#1876) (301d6e17)

Refactors

  • template: move devDependencies to fake package.json for Dependabot (#1904) (559a9f87)

6.0.0-beta.52

June 27, 2020

Build System / Dependencies

  • deps-dev:
    • remove obsolete @types/electron-packager (dc4f8bf6)
    • upgrade mocha transitive dependencies (33f2af80)
    • upgrade eslint-plugin-import to 2.22.0 (70fe2802)
    • bump @types/webpack from 4.41.17 to 4.41.18 (#1797) (139dfd4e)
    • bump @types/semver from 7.2.0 to 7.3.1 (c7e506c8)
    • bump fetch-mock from 9.10.2 to 9.10.3 (#1794) (b0d72043)
    • bump @types/node from 14.0.13 to 14.0.14 (6bb2622f)
    • bump @types/lodash from 4.14.156 to 4.14.157 (885acb15)
    • upgrade @typescript-eslint/{parser,eslint-plugin} to 3.4.0 (4e7e08d5)
    • upgrade eslint to 7.3.1 (a32766ec)
    • bump @babel/register from 7.10.1 to 7.10.3 (#1778) (e8688563)
    • bump @babel/preset-env from 7.10.2 to 7.10.3 (#1782) (79a18e2a)
    • bump @babel/cli from 7.10.1 to 7.10.3 (13129f0f)
    • bump @babel/core from 7.10.2 to 7.10.3 (#1779) (774a6da2)
    • bump @types/lodash from 4.14.155 to 4.14.156 (1824698f)
    • bump fetch-mock from 9.10.1 to 9.10.2 (#1783) (1489ab5b)
    • bump lint-staged from 10.2.10 to 10.2.11 (#1773) (deff81a6)
    • upgrade @typescript-eslint/{parser,eslint-plugin} to 3.3.0 (f763b1c4)
    • bump eslint-config-airbnb-base from 14.1.0 to 14.2.0 (#1765) (fd692b96)
    • bump lint-staged from 10.2.9 to 10.2.10 (#1768) (e29fea68)
    • bump mocha from 7.2.0 to 8.0.1 (#1757) (a3c3cb7b)
    • bump eslint-plugin-import from 2.21.1 to 2.21.2 (1fe89939)
    • bump @types/node from 14.0.12 to 14.0.13 (cdea61c7)
    • upgrade @typescript-eslint/{parser,eslint-plugin} to 3.2.0 (c5e4d2ac)
    • bump @types/node from 14.0.11 to 14.0.12 (ea88a193)
    • bump babel-plugin-source-map-support (4176ce24)
    • bump eslint-plugin-import from 2.20.2 to 2.21.1 (#1746) (56de51a1)
    • upgrade eslint to 7.2.0 (69b1893b)
    • bump @types/glob from 7.1.1 to 7.1.2 (29f577eb)
    • bump typescript from 3.9.3 to 3.9.5 (0cc15e8f)
    • bump @types/node from 14.0.10 to 14.0.11 (09dee37d)
    • bump lint-staged from 10.2.8 to 10.2.9 (9b3ba871)
    • bump @types/lodash from 4.14.154 to 4.14.155 (2f22e8ae)
    • bump @types/node from 14.0.9 to 14.0.10 (aed0f74d)
    • bump lint-staged from 10.2.7 to 10.2.8 (#1737) (da8ba8f9)
    • upgrade @types/webpack to 4.41.17 (4164fc7f)
    • bump @types/node from 14.0.6 to 14.0.9 (e6fcf04e)
    • upgrade @babel/{core,preset-env} to 7.10.2 (dd187997)
    • upgrade @typescript-eslint/{parser,eslint-plugin} to 3.1.0 (445a7d55)
    • bump @types/webpack from 4.41.14 to 4.41.16 (d818ab3d)
    • bump eslint-plugin-mocha from 7.0.0 to 7.0.1 (9328a394)
    • bump @types/lodash from 4.14.153 to 4.14.154 (fb47fe59)
    • bump nyc from 15.0.1 to 15.1.0 (#1730) (b87f9e8f)
    • upgrade @types/webpack to 4.41.14 (3a4bcc83)
    • upgrade @types/node to 14.0.6 (c26af2a1)
    • bump lint-staged from 10.2.6 to 10.2.7 (#1723) (f77a0875)
    • bump ts-node from 8.10.1 to 8.10.2 (b4d9d286)
    • upgrade @babel/* to 7.10.1 (ada8453b)
    • upgrade @typescript-eslint/{parser,eslint-plugin} to 3.0.2 (9abbd6f5)
    • upgrade @babel/{cli,core,preset-env} to 7.10.0 (e53c0162)
    • bump @types/lodash from 4.14.152 to 4.14.153 (9b3e110e)
    • upgrade @typescript-eslint/{parser,eslint-plugin} to 3.0.1 (3c14609f)
    • bump fetch-mock from 9.10.0 to 9.10.1 (#1704) (0152dbf0)
    • upgrade mocha to 7.2.0 (49a9ba6b)
    • upgrade eslint to 7.1.0 (bf6fb421)
    • upgrade typescript to 3.9.3 (6f85bd4f)
    • upgrade eslint & eslint-plugin-mocha to ^7.0.0 (738720d6)
    • upgrade @types/semver to 7.2.0 (c682a419)
    • upgrade @types/sinon to 9.0.4 (2a2440a4)
    • upgrade @types/lodash to 4.14.152 (4331ccb1)
    • upgrade @types/fs-extra to ^9.0.1 (b8c74ae5)
    • upgrade @types/cross-spawn to 6.0.2 (5ed084f1)
    • upgrade @types/node to ^14.0.5 (61effdc3)
    • upgrade @types/webpack* (7896392f)
    • upgrade fetch-mock to 9.10.0 (d6647095)
    • upgrade nodemon to 2.0.4 (6dc77a83)
    • upgrade lint-staged to 10.2.6 (bc7066fd)
    • upgrade typedoc to 0.17.7 (1d5f4338)
    • upgrade codecov to 3.7.0 (3ed74b37)
    • upgrade @typescript-eslint/{parser,eslint-plugin} to ^3.0.0 (50b32fb5)
    • upgrade @typescript-eslint/{parser,eslint-plugin} to 2.32.0 (1cfe0498)
    • upgrade fetch-mock to 9.7.0 (5053757c)
    • upgrade @types/node to 13.13.5 (77e3a9ea)
    • upgrade fetch-mock to 9.5.0 (c4c6dfbd)
    • upgrade commitizen to 4.1.2 (23a4376a)
    • upgrade @types/html-minifier-terser to 5.1.0 (0dbbd266)
    • upgrade lint-staged to 10.2.2 (20eaa06f)
    • upgrade ts-node to 8.10.1 (02443605)
    • upgrade commitizen to 4.1.0 (7a235ba4)
    • upgrade @babel/{core,preset-env} to 7.9.6 (82281eed)
    • upgrade @typescript-eslint/{parser,eslint-plugin} to 2.31.0 (c26da14a)
  • deps:
    • upgrade electron-packager to ^15.0.0 (3046754b)
    • bump inquirer from 7.1.0 to 7.2.0 (#1769) (3fc875f5)
    • bump electron-osx-sign from 0.4.16 to 0.4.17 (#1764) (ccbb865a)
    • bump xterm from 4.6.0 to 4.7.0 (#1763) (50abcd40)
    • upgrade @malept/electron-installer-flatpak to ^0.11.2 (d56e3e8e)
    • bump fs-extra from 9.0.0 to 9.0.1 (#1739) (ffc2332c)
    • upgrade transitive dependencies for electron tooling modules (39510226)
    • upgrade webpack-related transitive dependencies (5f5130ea)
    • bump cross-spawn from 7.0.2 to 7.0.3 (#1707) (7fe1002e)
    • upgrade xterm-addon-search to ^0.7.0 (4cdfed67)
    • upgrade xterm-addon-fit to ^0.4.0 (5aebc9b9)
    • upgrade xterm to 4.6.0 (b526c521)
    • upgrade open to 7.0.4 (3f17826e)
    • upgrade electron-osx-sign to 0.4.16 (27c15e31)
    • upgrade electron-rebuild to 1.11.0 (e2f23f34)
    • upgrade cross-zip to 3.1.0 (5ff74664)
    • upgrade @electron/get to 1.12.2 (68201f24)
    • upgrade transitive dependencies (8b4e0cf8)
    • upgrade pretty-ms to ^7.0.0 (62e55a0a)
    • upgrade html-webpack-plugin to 4.3.0 (612656d6)
    • upgrade sudo-prompt to 9.2.1 (d32d2b1f)
  • remove some CI workarounds (d7d3d384)
  • remove an unused but broken apt repo from CI (33d0362a)
  • ci: remove yet another malfunctioning, unrelated apt repo from CI (471b0517)

Chores

Documentation Changes

  • template: fix explanation of darwin auto-quit prevention (#1756) (50ffbc9a)

Bug Fixes

  • shared-types: don't use @types/electron-packager (cdeddce2)
  • maker-snap: allow MakerSnapConfig to also be SnapcraftConfig (#1725) (19b64ef5)
  • maker-flatpak: add eu-strip to required external binaries (#1703) (4314e1d5)

Refactors

  • core: use electron-installer-common to read package.json from packaged app (#1798) (5279272d)
  • sudo-prompt provides its own typings (#1799) (3cc007fd)
  • maker-squirrel: inherit the config & docs from electron-winstaller (#1791) (69c27228)

6.0.0-beta.51

April 27, 2020

Build System / Dependencies

  • deps-dev:
    • bump typedoc from 0.17.4 to 0.17.6 (#1648) (3be58d00)
    • bump @types/node from 13.13.2 to 13.13.4 (ec4e3b68)
    • bump mocha from 7.1.1 to 7.1.2 (#1650) (5ce9d765)
    • bump ts-node from 8.9.0 to 8.9.1 (d85e33c5)
    • upgrade @types/express to 4.17.6 (e1e8413f)
    • upgrade @types/webpack-hot-middleware to 2.25.2 (0f519dd9)
    • upgrade @types/webpack to 4.41.12 (812736b0)
    • upgrade ts-node to 8.9.0 (969ce317)
    • upgrade @types/lodash to 4.14.150 (94a1dd01)
    • upgrade lint-staged to 10.1.7 (5e1043e1)
    • upgrade fetch-mock to 9.4.0 (694102bc)
    • upgrade @types/node to 13.13.2 (ba3521fd)
    • upgrade @types/node-fetch to 2.5.7 (b6a1cf85)
    • upgrade @typescript-eslint/{eslint-plugin,parser} to 2.29.0 (968aae60)
    • bump lint-staged from 10.1.2 to 10.1.3 (e134a612)
    • bump husky from 4.2.3 to 4.2.5 (#1622) (c3308e9d)
    • bump nodemon from 2.0.2 to 2.0.3 (b9000c59)
    • bump sinon from 9.0.1 to 9.0.2 (#1617) (cc9c2f58)
    • bump @types/node from 13.11.0 to 13.11.1 (66069bab)
    • bump @babel/preset-env from 7.9.0 to 7.9.5 (#1613) (9059e69e)
    • bump commitizen from 4.0.3 to 4.0.4 (#1614) (0de385c5)
    • bump typedoc from 0.17.3 to 0.17.4 (2ae60f84)
    • upgrade ts-node to 8.8.2 (7f6afc0e)
    • upgrade lint-staged to 10.1.2 (c2abd0bc)
    • upgrade nyc to 15.0.1 (0792db7f)
    • bump @types/node from 13.9.8 to 13.11.0 (f073e92a)
    • upgrade @types/sinon to ^9.0.0 (23d02c5e)
    • ugprade @types/express to 4.17.4 (20149686)
    • upgrade html-webpack-plugin to 4.0.4 (d4686138)
    • upgrade lint-staged to 10.1.1 (3a46a3b5)
    • upgrade transitive dependencies (466113a5)
    • upgrade @types/node to 13.9.8 (18072957)
    • upgrade asar to 3.0.3 (917ac487)
    • upgrade @types/webpack to 4.41.10 (ce8f49cc)
    • upgrade @typescript-eslint/{parser,eslint-plugin} to 2.26.0 (98b4f8c2)
    • upgrade @types/webpack to 4.41.9 (c71bc263)
    • upgrade @types/node to 13.9.6 (9f3853d3)
    • upgrade eslint-plugin-import to 2.20.2 (fc1a764d)
    • upgrade lint-staged to 10.1.0 (a017a84e)
    • upgrade @types/node to 13.9.5 (d65a8f12)
    • bump @types/node from 13.9.3 to 13.9.4 (3b753b6e)
    • relax commitizen's minimist dependency to ^1.2.5 (ca17ddcc)
    • upgrade lint-staged to 10.0.9 (2c3594fe)
    • upgrade fetch-mock to 9.3.1 (573f5f76)
    • upgrade @typescript-eslint/{parser,eslint-plugin} to 2.25.0 (1aadc7b9)
    • upgrade asar to 3.0.2 (432fe6f8)
    • upgrade @babel/* to 7.9.0 (b22900f3)
    • bump ts-node from 8.7.0 to 8.8.1 (78c5aeb3)
    • bump @types/webpack from 4.41.7 to 4.41.8 (#1583) (98ba2879)
    • bump @types/node from 13.9.2 to 13.9.3 (2cbef700)
    • bump typedoc from 0.17.1 to 0.17.3 (9b97b704)
    • upgrade @types/node to 13.9.2 (f4bb5435)
    • upgrade @typescript-eslint/{parser,eslint-plugin} to 2.24.0 (75e92f9b)
    • bump fetch-mock from 9.1.2 to 9.2.1 (#1568) (77dcecd0)
    • bump typedoc from 0.16.11 to 0.17.1 (#1573) (794d0738)
    • bump ts-node from 8.6.2 to 8.7.0 (#1575) (c97b6566)
    • bump eslint-config-airbnb-base from 14.0.0 to 14.1.0 (3059b3fe)
    • bump @types/chai from 4.2.10 to 4.2.11 (a7a2246e)
    • bump mocha from 7.1.0 to 7.1.1 (#1574) (40a601a9)
    • upgrade eslint dependencies (180cac4d)
    • bump fetch-mock from 9.1.1 to 9.1.2 (#1564) (1c0e5d8a)
    • bump minimist from 1.2.4 to 1.2.5 (fe2cdd51)
    • bump @types/node from 13.9.0 to 13.9.1 (236c3afb)
    • bump asar from 3.0.0 to 3.0.1 (#1561) (0f212202)
    • bump minimist from 1.2.3 to 1.2.4 (b579c167)
    • upgrade asar to ^3.0.0 (56c61cfd)
    • upgrade minimist to 1.2.3 (821be096)
    • upgrade sinon to 9.0.1 (650ee07b)
    • upgrade @typescript-eslint/{parser,eslint-plugin} to 2.23.0 (e1661474)
    • upgrade @types/node to 13.9.0 (da229e81)
    • bump fetch-mock from 9.1.0 to 9.1.1 (#1555) (c8ff9128)
    • bump cross-env from 7.0.1 to 7.0.2 (0f08a02d)
    • bump @babel/preset-env from 7.8.6 to 7.8.7 (#1552) (6e5c7dfb)
    • bump @babel/core from 7.8.6 to 7.8.7 (6dd4f3ed)
    • bump fetch-mock from 9.0.0 to 9.1.0 (#1548) (8874746e)
    • bump cross-env from 7.0.0 to 7.0.1 (d7b80c7e)
    • bump @types/mocha from 7.0.1 to 7.0.2 (6c0b114f)
    • bump @types/express from 4.17.2 to 4.17.3 (#1545) (0dca3f8e)
    • upgrade @typescript-eslint/{parser,eslint-plugin} to 2.22.0 (28dbb194)
    • bump @types/chai from 4.2.9 to 4.2.10 (1c8668db)
    • bump typescript from 3.8.2 to 3.8.3 (d1f09a5b)
    • bump @types/node from 13.7.6 to 13.7.7 (fb725329)
    • bump fetch-mock from 8.3.2 to 9.0.0 (#1534) (d4b7e9ce)
    • bump typedoc from 0.16.10 to 0.16.11 (#1526) (0fd31fb0)
    • bump mocha from 7.0.1 to 7.1.0 (#1519) (cd4785bb)
    • bump @types/webpack-dev-middleware from 2.0.3 to 3.7.0 (#1517) (fa8dfc8e)
    • bump @types/node from 13.7.5 to 13.7.6 (59777cf8)
  • deps:
    • bump log-symbols from 3.0.0 to 4.0.0 (#1649) (6c8e4439)
    • upgrade electron-installer-snap to ^5.1.0 (#1644) (0e22ba18)
    • upgrade xterm-addon-search to ^0.6.0 (f4ff3317)
    • upgrade html-webpack-plugin to 4.2.0 (f092af56)
    • upgrade webpack to 4.43.0 (e75754f7)
    • upgrade source-map-support to 0.5.19 (197eac7d)
    • upgrade semver to 7.3.2 (b053d3b7)
    • upgrade ora to 4.0.4 (ee410671)
    • upgrade mime-types to 2.1.27 (dc84cbdb)
    • upgrade @electron/get to 1.10.0 (2b3cfbec)
    • bump xterm from 4.4.0 to 4.5.0 (#1624) (c8e301a2)
    • bump semver from 7.1.3 to 7.2.1 (#1611) (00f0b29b)
    • upgrade cross-spawn to 7.0.2 (e04f1a43)
    • upgrade html-webpack-plugin to 4.0.3 (3cbd0f11)
    • bump @malept/cross-spawn-promise from 1.0.0 to 1.1.0 (#1593) (edd6071a)
    • bump html-webpack-plugin from 4.0.1 to 4.0.2 (#1588) (50d57b3d)
    • upgrade webpack to 4.42.1 (aec996d6)
    • upgrade html-webpack-plugin to ^4.0.1 (9a975ebd)
    • bump fs-extra from 8.1.0 to 9.0.0 (#1577) (16b1e870)
    • [security] bump acorn from 6.4.0 to 6.4.1 (37a0904d)
    • upgrade inquirer to 7.1.0 (2786fdbe)
    • upgrade electron-rebuild to 1.10.1 (d63fcdc3)
    • bump open from 7.0.2 to 7.0.3 (#1558) (683fbf32)
    • upgrade dependencies for electron-rebuild (56be8ee1)
    • bump @electron/get from 1.8.0 to 1.9.0 (#1554) (dc6a5970)
    • bump inquirer from 7.0.5 to 7.0.6 (#1551) (a75d0e0d)
    • bump pretty-ms from 6.0.0 to 6.0.1 (#1542) (7589343f)
    • bump webpack from 4.41.6 to 4.42.0 (#1540) (99f2ccd4)
    • bump inquirer from 7.0.4 to 7.0.5 (#1532) (16d8331c)
  • have lint-staged only check changed files (508727eb)
  • update Heroku CLI repo key on Linux CI workers (d838b8ed)

Chores

  • deps-dev: upgrade @babel/{core,preset-env,register} to 7.8.6 (ff3a2a7a)

Documentation Changes

  • clean up README wording (#1625) (3ad264df)
  • add note about conventional commits to the pull request docs (155b739f)

New Features

  • s3: add options to allow use custom instance (#1601) (38e63d15)

Bug Fixes

  • cli: fix the minimum version of Node in the CLI error message (45ac8ddf)
  • core: overrideTargets inherit the named maker config in the Forge config (#1549) (e133b607)
  • publisher-electron-release-server: throw an exception for 4xx/5xx HTTP status codes (#1538) (f223fc8f)
  • template-base: update Travis CI config to best practices (#1539) (a34656b2)
  • plugin-webpack: change preload target from electron-renderer to electron-preload (#1521) (5f1b240f)

6.0.0-beta.50

February 25, 2020

Build System / Dependencies

  • deps-dev:
    • upgrade @types/sinon to 7.5.2 (26f58633)
    • upgrade @types/node to 13.7.5 (75c14c57)
    • bump @types/node-fetch from 2.5.4 to 2.5.5 (9f55a6c9)
    • upgrade @typescript-eslint/{parser,eslint-plugin} to 2.21.0 (b00446fa)
    • bump typescript from 3.7.5 to 3.8.2 (dcaa3c2e)
    • bump eslint-plugin-mocha from 6.2.2 to 6.3.0 (0cb70c23)
    • bump @types/node from 13.7.2 to 13.7.4 (3354084e)
    • bump sinon from 8.1.1 to 9.0.0 (#1505) (da87172e)
    • upgrade asar to 2.1.0 (#1504) (53ce8149)
    • bump @types/node from 13.7.1 to 13.7.2 (a5c5084a)
    • upgrade @typescript-eslint/{parser,eslint-plugin} to 2.20.0 (167e4f2d)
    • bump @types/fs-extra from 8.0.1 to 8.1.0 (5a9444dc)
    • upgrade typedoc to 0.16.10 (ff3863a3)
    • bump @types/chai from 4.2.8 to 4.2.9 (d4e44ab7)
    • bump @types/node from 13.7.0 to 13.7.1 (2d112566)
    • upgrade @typescript-eslint/{parser,eslint-plugin} to 2.19.2 (a4ef9b47)
    • upgrade @types/webpack to 4.41.6 (ec1256df)
    • upgrade codecov to 3.6.5 (2e7dcda5)
    • upgrade rimraf to 3.0.2 (3e39cf7b)
  • deps:
    • upgrade @electron/get to 1.8.0 (a15eb934)
    • upgrade electron-installer-common to 0.10.1 (d015bab7)
    • bump pretty-ms from 5.1.0 to 6.0.0 (#1495) (fe800f64)
    • bump semver from 7.1.2 to 7.1.3 (#1490) (8a7c8c5c)
    • bump webpack from 4.41.5 to 4.41.6 (#1494) (196def64)
    • bump @electron/get from 1.7.5 to 1.7.6 (#1493) (1b1efe86)
    • bump xterm-addon-search from 0.4.0 to 0.5.0 (#1489) (edda336d)
    • upgrade @electron/get to 1.7.5 (ffe4a050)
    • upgrade electron-packager to 14.2.1 (3f1c9590)
    • bump @octokit/rest from 16.42.2 to 16.43.1 (#1471) (60c0f07b)
  • emit Node 10 compatible code (53a824a5)

Chores

  • changes to TypeScript files have eslint --fix run on them (#1516) (dcf3bb18)
  • ignore yarn.lock in subdirectories (76217769)

Bug Fixes

  • core: throw an error when no make targets for the given platform are found (#1515) (bc370aab)
  • typescript-webpack: remove async=false option from ts-checker to avoid preload compile hang (#1497) (fe5b33c9)

Refactors

  • use @malept/cross-spawn-promise instead of cross-spawn-promise (#1496) (62998e5c)

6.0.0-beta.49

February 6, 2020

Build System / Dependencies

  • deps:
    • bump xterm from 4.3.0 to 4.4.0 (#1474) (b1f3b722)
    • bump commander from 4.1.0 to 4.1.1 (#1470) (ab1f3e00)
    • upgrade transitive dependency node-abi to 2.14.0 (bd708083)
  • deps-dev:
    • bump @types/webpack from 4.41.4 to 4.41.5 (3c914539)
    • upgrade @typescript-eslint/{parser,eslint-plugin} to 2.19.0 (e1a3b02e)

Bug Fixes

  • plugin-webpack: lazily load config generator so isProd is set correctly (#1480) (9f6a445c)

6.0.0-beta.48

February 3, 2020

Build System / Dependencies

  • deps:
    • bump @octokit/rest from 16.41.1 to 16.42.2 (#1465) (0193c277)
    • upgrade @octokit/rest to 16.41.1 (37ae0060)
    • upgrade open to 7.0.2 (45240a87)
    • bump semver from 7.1.1 to 7.1.2 (#1458) (b29b74a3)
    • bump @octokit/rest from 16.40.1 to 16.41.0 (#1460) (205d3ef4)
    • bump open from 7.0.0 to 7.0.1 (#1454) (a167fd36)
    • upgrade electron-rebuild to 1.10.0 (fc2a0574)
    • bump @octokit/rest from 16.39.0 to 16.40.1 (#1448) (cf725c56)
    • bump @octokit/rest from 16.38.2 to 16.39.0 (#1434) (e63a0323)
    • bump inquirer from 7.0.3 to 7.0.4 (#1437) (f8a6f44c)
    • upgrade @octokit/rest to 16.38.2 (76d01ac9)
    • bump @octokit/rest from 16.37.0 to 16.38.1 (#1430) (966cf49d)
    • upgrade to electron-rebuild 1.9.0 (c18c6596)
    • upgrade electron-installer-redhat to ^3.0.0 (d07a203f)
    • upgrade electron-installer-debian to ^3.0.0 (c790a6ba)
    • upgrade @malept/electron-installer-flatpak to 0.11.1 (0e2ea612)
    • upgrade electron-installer-snap to ^5.0.0 (7d289d98)
    • bump @octokit/rest from 16.36.0 to 16.37.0 (#1426) (b6dcb011)
    • upgrade transient dependencies (14a8d224)
    • upgrade cross-zip to ^3.0.0 (f3aa4ac6)
    • upgrade commander to 4.1.0 (20660e17)
    • upgrade mime-types to 2.1.26 (21896a92)
    • bump electron-packager from 14.1.1 to 14.2.0 (#1400) (f27b2558)
    • bump @octokit/rest from 16.35.2 to 16.36.0 (#1397) (834f5c0a)
    • bump inquirer from 7.0.0 to 7.0.3 (#1350) (11e9e163)
    • bump webpack from 4.41.2 to 4.41.5 (#1367) (226ee45d)
  • ensure Yarn repo key is up-to-date (c11fdaa7)
  • use actions/checkout@v2 (ee8ee0f1)
  • cache yarn directory instead of node_modules (#1404) (ded1a5ff)
  • integrate Dependabolt job into CI (#1403) (bb0b3dc9)
  • re-enable the macOS/yarn CI tests (7519befe)
  • add support for specifying a custom glob with the test runner (2dc04018)
  • deps-dev:
    • upgrade @types/webpack to 4.41.4 & @types/html-webpack-plugin to 3.2.2 (63e52f0d)
    • upgrade @types/node to 13.7.0 (7461586a)
    • upgrade codecov to 3.6.4 (3344e4b3)
    • upgrade eslint-plugin-import to 2.20.1 (41fee16d)
    • upgrade @babel/{core,cli,preset-env} to 7.8.4 (b5c25413)
    • bump @types/mocha from 5.2.7 to 7.0.1 (cde6399b)
    • bump @types/node from 13.5.2 to 13.5.3 (201f702c)
    • bump @types/chai from 4.2.7 to 4.2.8 (feaf3d52)
    • bump @types/node from 13.5.1 to 13.5.2 (95f71f98)
    • upgrade @types/semver to ^7.1.0 (14b7d884)
    • upgrade @types/node to 13.5.1 (422f454f)
    • bump rimraf from 3.0.0 to 3.0.1 (d5253af2)
    • upgrade @typescript-eslint packages to 2.18.0 (9905be6d)
    • bump mocha from 7.0.0 to 7.0.1 (#1436) (bf8d58d4)
    • bump cross-env from 6.0.3 to 7.0.0 (952f0b5d)
    • bump typedoc from 0.16.8 to 0.16.9 (#1433) (ee0d806f)
    • upgrade fetch-mock to 8.3.2 (685f0a0a)
    • upgrade codecov to 3.6.2 (b65ec57e)
    • upgrade sinon to 8.1.1 (6c5b9f2d)
    • upgrade typedoc to ^0.16.8 (e98a2ee0)
    • upgrade @types/webpack to 4.41.3 (a6c98fd0)
    • upgrade typescript-eslint packages to 2.17.0 (0a3900eb)
    • bump @types/node from 13.1.7 to 13.1.8 (0eb14589)
    • bump typescript from 3.7.4 to 3.7.5 (#1423) (06195e4c)
    • bump sinon from 8.0.4 to 8.1.0 (#1422) (d9a2197d)
    • bump typedoc from 0.16.6 to 0.16.7 (#1420) (bf73f374)
    • upgrade mocha to ^7.0.0 (cfbd7bf7)
    • upgrade typedoc to ^0.16.6 (13075b78)
    • upgrade typescript to 3.7.4 (71fd34a2)
    • upgrade typescript-eslint packages to 2.16.0 (c98fb2cf)
    • upgrade eslint-plugin-import to 2.20.0 (311c75d3)
    • upgrade nyc to ^15.0.0 & @istanbuljs/nyc-config-typescript to ^1.0.1 (03f797bb)
    • bump sinon from 7.5.0 to 8.0.4 (#1399) (23f02cc8)
    • bump fetch-mock from 8.0.1 to 8.3.1 (#1347) (219385ce)
    • bump ts-node from 8.5.4 to 8.6.2 (#1391) (1512bb71)
    • bump eslint from 6.7.2 to 6.8.0 (#1398) (3cd7c28b)
    • upgrade babel packages to 7.8.3 (42269942)
    • bump @types/node from 12.12.20 to 13.1.5 (4883037b)
    • bump @types/node from 12.12.18 to 12.12.20 (9b8a2a6a)
  • dev-deps: upgrade @types/webpack to 4.41.2 (062af9c9)

Chores

  • upgrade dependabolt to 2.1.1 (6b6476dc)
  • bump minimum Node version to 10 (#1405) (01905382)
  • ignore nyc coverage folders (9bf28caf)

New Features

  • plugin-webpack: add an option to export webpack compilation stats (#639) (7275f390)

Bug Fixes

  • template: stop holding a reference to mainWindow (#1468) (af8be3f0)
  • core: find electron when app is in a yarn workspace (#1450) (8613386d)
  • template-typescript-webpack: adjust ts-loader module rule syntax (#1388) (1df98710)
  • web-multi-logger: xterm 4 compatibility (#1387) (9f66342a)

Refactors

  • migrate templates from using tslint to eslint (#1467) (37431b3c)
  • consolidate lodash dependencies (#1464) (8693a1ef)
  • plugin-webpack:
    • cast HtmlWebpackPlugin as webpack.Plugin (2ab4a761)
    • move webpack config generation code to its own file (#1401) (a7d93bb3)
  • core: avoid forEach and increase test coverage for forge-config (#1395) (4db41a48)

Tests

  • plugin-webpack: add tests for resolveForgeConfig (#1447) (2c6e233f)

6.0.0-beta.47

December 18, 2019

Build System / Dependencies

  • deps-dev:
    • upgrade typescript-eslint modules to 2.12.0 (2e72ddf4)
    • bump typedoc from 0.15.4 to 0.15.5 (1cf3c47e)
    • bump @types/node from 12.12.17 to 12.12.18 (b939452f)
    • upgrade asar to 2.0.3 (d92434d0)
    • bump nodemon from 2.0.1 to 2.0.2 (29470fb0)
    • bump @types/webpack-hot-middleware (006d62fc)
    • bump @types/node from 12.12.16 to 12.12.17 (4484eec9)
    • bump @types/chai from 4.2.6 to 4.2.7 (083cbe87)
    • upgrade typedoc to 0.15.4 (afa5e0a5)
    • upgrade some eslint plugins (a9a80684)
    • upgrade @types/node to 12.12.16 (4ebf49dd)
    • upgrade babel packages to latest 7.7.x version (5e9667a6)
    • bump fetch-mock from 8.0.0 to 8.0.1 (#1322) (bb72f662)
    • bump typescript from 3.7.2 to 3.7.3 (e7c3cb34)
  • fix CI codecov step conditional (66bd0e2a)
  • disable docs CI step until NOW_TOKEN is defined (#1343) (40f6b990)
  • fix up eslint config for imports + typescript (d3fc0770)
  • deps:
    • upgrade @octokit/rest to 16.35.2 (f1412e5f)
    • upgrade @electron/get to 1.7.2 (603fca9c)
    • upgrade dependencies of webpack (8870594a)
    • upgrade xterm to 4.3.0 (beefaf1f)

Chores

  • disable macOS/npm tests due to weirdness with fsevents (01c417da)
  • use the already-installed WiX installer to install the WiX toolset (371a068a)

New Features

  • add typescript-webpack template (#1344) (7c8259dd)
  • add template for typescript (#1319) (cece7da7)

Bug Fixes

  • plugin-webpack: handle package.json files without config keys (#1342) (4db53f89)
  • core: use loadFile instead of loadURL in the default template (#1341) (51fbf715)

Refactors

  • core: remove unused config-fn utility file (40c13d3a)
  • create base template & test utils (#1351) (3e5a64c0)
  • create the ElectronProcess type (ChildProcess + restarted property) (#1346) (abbf0311)
  • replace indexOf with includes/startsWith where applicable (#1337) (a3eae4df)
  • template-typescript: use main script to start app (#1345) (ef0b2baf)

Tests

  • template-typescript: run lint for template & adjust default rules (#1321) (a83b46cd)

6.0.0-beta.46

December 4, 2019

Build System / Dependencies

  • deps-dev:
    • bump @types/chai from 4.2.5 to 4.2.6 (41b38743)
    • upgrade @typescript-eslint packages to 2.10.0 (7b20fcf5)
    • bump ts-node from 8.5.2 to 8.5.4 (#1310) (fa99c527)
    • bump eslint from 6.7.1 to 6.7.2 (#1313) (a7941b54)
    • upgrade @typescript-eslint packages to 2.9.0 (93745109)
    • upgrade @types/node to 12.12.14 (ca728a44)
    • bump eslint from 6.7.0 to 6.7.1 (#1302) (a2de8ea5)
    • bump @types/node-fetch from 2.5.2 to 2.5.3 (ee2a403d)
    • bump @types/express from 4.17.1 to 4.17.2 (3702255e)
    • bump @types/sinon from 7.5.0 to 7.5.1 (5238748b)
    • bump nodemon from 1.19.4 to 2.0.0 (d0877e0c)
  • distinguish between coverage for different CI workers (f4a90077)
  • use v2 of dependabolt (#1160) (23a629d3)
  • deps:
    • bump electron-osx-sign from 0.4.14 to 0.4.15 (#1309) (513e0a5d)
    • bump form-data from 2.5.1 to 3.0.0 (#1296) (8405e1ba)
    • bump which from 2.0.1 to 2.0.2 (#1293) (b5b2ad56)
    • bump mime-types from 2.1.24 to 2.1.25 (#1298) (622c3b8c)
    • bump ora from 4.0.2 to 4.0.3 (#1297) (f93e706e)
    • bump commander from 3.0.2 to 4.0.1 (#1290) (384cb90b)

Chores

  • cli: fix lint warning (704375c3)
  • add separate types of issue templates, plus links to the community & website repo (82560c41)
  • deps:
    • upgrade dependencies (ed8be390)
    • upgrade electron-packager to 14.1.1 and @electron/get to 1.7.1 (015cc386)
    • upgrade electron-installer-snap to 4.1.0 (0879c2e2)
    • upgrade electron-packager, @malept/electron-installer-flatpak, & electron-wix-msi (e1fbfe6a)
    • bump xterm from 4.1.0 to 4.2.0 (#1267) (5f11002f)
    • bump @octokit/rest from 16.33.1 to 16.35.0 (#1260) (35ed2402)
    • bump glob from 7.1.4 to 7.1.6 (#1252) (8aad8548)
    • bump sudo-prompt from 9.0.0 to 9.1.1 (#1289) (c3c7fc35)
    • [security] bump https-proxy-agent from 2.2.2 to 2.2.4 (f6617a4c)
    • upgrade electron-rebuild to 1.8.8 (915572b1)
    • update electron-rebuild dependencies (32d9abf9)
    • bump open from 6.4.0 to 7.0.0 (#1242) (ed112f2b)
    • bump webpack from 4.41.1 to 4.41.2 (#1241) (bb7baf65)
    • bump @octokit/rest from 16.33.0 to 16.33.1 (#1237) (dfa4a402)
    • bump webpack from 4.41.0 to 4.41.1 (#1236) (422f16fa)
    • bump @types/which from 1.3.1 to 1.3.2 (c5f11d68)
    • bump @octokit/rest from 16.32.0 to 16.33.0 (#1227) (007e34f1)
    • bump cross-spawn from 7.0.0 to 7.0.1 (#1221) (86182a98)
    • bump xterm from 4.0.2 to 4.1.0 (#1220) (c3013b17)
    • bump @octokit/rest from 16.30.2 to 16.32.0 (#1217) (4691b91d)
    • bump @octokit/rest from 16.30.1 to 16.30.2 (#1211) (210d280f)
    • bump which from 1.3.1 to 2.0.1 (#1212) (16ca1303)
    • bump ora from 4.0.1 to 4.0.2 (#1203) (85348b84)
    • bump webpack-dev-middleware from 3.7.1 to 3.7.2 (#1201) (b5983a34)
    • bump electron-osx-sign from 0.4.13 to 0.4.14 (#1194) (eb67c47d)
    • bump commander from 3.0.1 to 3.0.2 (#1195) (f246234a)
    • bump xterm from 4.0.1 to 4.0.2 (#1190) (62dc2c05)
    • bump webpack from 4.40.2 to 4.41.0 (#1189) (32bc411b)
    • bump @octokit/rest from 16.30.0 to 16.30.1 (#1187) (3acbc02c)
    • bump ora from 4.0.0 to 4.0.1 (#1182) (6d0612b3)
    • bump ora from 3.4.0 to 4.0.0 (#1176) (6199d9ff)
    • bump @octokit/rest from 16.29.0 to 16.30.0 (#1178) (7cb85522)
    • bump colors from 1.3.3 to 1.4.0 (#1177) (c5284d0d)
    • bump @octokit/rest from 16.28.9 to 16.29.0 (#1169) (bc60759f)
    • bump webpack from 4.40.0 to 4.40.2 (#1162) (599bf394)
    • bump xterm from 4.0.0 to 4.0.1 (#1156) (9c8bfa71)
    • bump webpack from 4.39.3 to 4.40.0 (#1155) (5fc546d1)
    • upgrade electron-installer-debian to 2.0.1 (6fc64c6d)
    • bump xterm from 3.14.5 to 4.0.0 (#1151) (e0606d0b)
    • bump electron-packager from 14.0.5 to 14.0.6 (#1148) (3eece850)
    • bump electron-osx-sign from 0.4.12 to 0.4.13 (#1146) (97fa43f5)
  • deps-dev:
    • upgrade babel, typescript, & eslint dependencies (e030285e)
    • upgrade fetch-mock to ^8.0.0 & @types/fetch-mock to 7.3.2 (84997c3d)
    • bump fetch-mock from 7.5.1 to 7.7.3 (#1268) (38c32ca6)
    • bump eslint from 6.5.1 to 6.6.0 (#1265) (ab6d9fa5)
    • bump @types/webpack from 4.39.4 to 4.41.0 (#1254) (ea3d906d)
    • bump @types/chai from 4.2.3 to 4.2.5 (756a6843)
    • bump @types/semver from 6.0.2 to 6.2.0 (2553424e)
    • bump @types/node from 12.11.1 to 12.12.11 (18881913)
    • upgrade @typescript-eslint/{parser,eslint-plugin} to 2.5.0 (bed3051f)
    • bump mocha from 6.2.1 to 6.2.2 (#1248) (f88b4b3e)
    • bump @types/webpack from 4.39.3 to 4.39.4 (9cc38ce7)
    • bump @types/node from 12.7.12 to 12.11.1 (adddb7ba)
    • bump @types/fs-extra from 8.0.0 to 8.0.1 (#1246) (6c66c04b)
    • bump nodemon from 1.19.3 to 1.19.4 (#1243) (4e5084a8)
    • bump eslint-plugin-mocha from 6.1.1 to 6.2.0 (17198e1a)
    • upgrade @typescript-eslint/{parser,eslint-plugin} to 2.4.0 (c3628e51)
    • bump @babel/cli from 7.6.3 to 7.6.4 (844c7691)
    • bump @babel/core from 7.6.3 to 7.6.4 (#1234) (e93b18b9)
    • bump @types/webpack from 4.39.2 to 4.39.3 (139035e0)
    • bump @types/node from 12.7.9 to 12.7.12 (#1229) (79331447)
    • bump typescript from 3.6.3 to 3.6.4 (e919abc7)
    • bump @babel/core from 7.6.2 to 7.6.3 (b2b8c6de)
    • bump @babel/cli from 7.6.2 to 7.6.3 (f0e01484)
    • bump @babel/preset-env from 7.6.2 to 7.6.3 (8b8a6185)
    • bump @typescript-eslint/eslint-plugin (1389de91)
    • bump @typescript-eslint/parser from 2.3.2 to 2.3.3 (8de1e5bd)
    • bump @types/cross-spawn from 6.0.0 to 6.0.1 (#1218) (80c5ad7e)
    • bump fetch-mock from 7.4.0 to 7.5.1 (#1216) (9d0c3dca)
    • bump cross-env from 6.0.2 to 6.0.3 (31cdd4b9)
    • bump @typescript-eslint/eslint-plugin (27a28ee4)
    • bump cross-env from 6.0.0 to 6.0.2 (47490fa1)
    • bump @types/sinon from 7.0.13 to 7.5.0 (1bd50aa2)
    • bump @types/node from 12.7.8 to 12.7.9 (84140c00)
    • bump eslint from 6.5.0 to 6.5.1 (0a106a75)
    • bump @typescript-eslint/parser from 2.3.1 to 2.3.2 (6246416a)
    • bump nodemon from 1.19.2 to 1.19.3 (c4ee7381)
    • bump fetch-mock from 7.3.9 to 7.4.0 (#1202) (0e3baafc)
    • bump @types/webpack from 4.39.1 to 4.39.2 (f7b98791)
    • bump mocha from 6.2.0 to 6.2.1 (#1198) (49cec989)
    • bump eslint from 6.4.0 to 6.5.0 (#1197) (5d11be6e)
    • bump @types/node from 12.7.7 to 12.7.8 (b8ae8443)
    • bump @types/node from 12.7.5 to 12.7.7 (6059c7df)
    • bump @types/node-fetch from 2.5.1 to 2.5.2 (493ff084)
    • bump sinon from 7.4.2 to 7.5.0 (#1185) (d38c417b)
    • upgrade @babel/* to 7.6.2 and @typescript-eslint/* to 2.3.1 (fde7a4eb)
    • bump codecov from 3.6.0 to 3.6.1 (adb89354)
    • bump codecov from 3.5.0 to 3.6.0 (f72f7483)
    • bump @types/node-fetch from 2.5.0 to 2.5.1 (f8a5715a)
    • bump cross-env from 5.2.1 to 6.0.0 (6b2b71ab)
    • bump @types/chai from 4.2.2 to 4.2.3 (4d028f73)
    • bump @typescript-eslint/eslint-plugin (c64f043d)
    • bump @typescript-eslint/parser from 2.2.0 to 2.3.0 (3f4f62c3)
    • bump ts-node from 8.3.0 to 8.4.1 (#1161) (26920134)
    • bump eslint from 6.3.0 to 6.4.0 (#1163) (7d370e0f)
    • bump eslint-plugin-mocha from 6.1.0 to 6.1.1 (c6895d15)
    • bump @types/node from 12.7.4 to 12.7.5 (14e0d393)
    • bump typescript from 3.6.2 to 3.6.3 (a18c5004)
    • bump @babel/preset-typescript from 7.3.3 to 7.6.0 (2ad170cd)
    • bump @typescript-eslint/parser from 2.1.0 to 2.2.0 (98098515)
    • bump @typescript-eslint/eslint-plugin (05a72772)
    • bump @types/chai from 4.2.1 to 4.2.2 (13506d6a)
    • bump @babel/register from 7.5.5 to 7.6.0 (acd2fbd6)
    • bump @babel/preset-env from 7.5.5 to 7.6.0 (af9cbee6)
    • bump @babel/core from 7.5.5 to 7.6.0 (6229b0b1)
    • bump @babel/cli from 7.5.5 to 7.6.0 (#1141) (2cd8c1b7)
    • bump @types/semver from 6.0.1 to 6.0.2 (#1139) (d8284570)

Bug Fixes

  • maker-squirrel: handle versions with prerelease information (d4e402d3)
  • maker-wix: handle versions with prerelease information (be4b29f0)
  • cli:
    • only run unknown command code when it's actually unknown (771b0b04)
    • warn on unknown commands (#1304) (a0c15d94)
  • async-ora: print the result of the timing function, not the function code (1bcf036f)
  • maker-base: throw a better error when external binaries are missing (#1306) (c8baa1e5)
  • bump @electron/get from 1.5.0 to 1.7.0 & always enable proxy support in CLI (#1264) (d65f33e7)

Refactors

  • maker-base: extract Windows-specific version normalization to a method on the maker base class (c3e2361e)
  • publisher-s3: replace the s3 package with just aws-sdk (#1318) (bbb0f901)

Tests

  • core:
    • set makeVersionWinStoreCompatible for appx integration testing (0aafbf61)
    • set the make version to a beta for more comprehensive testing (33a68b09)
    • use ref-napi instead of ref (105efef2)
    • revert "use a more recent Electron version in rebuild tests" (649f0e68)
    • use a more recent Electron version in rebuild tests (976133aa)
  • remove rebuild tests that duplicate electron-rebuild (#1303) (92817f4d)
  • switch to GitHub Actions CI (#1299) (d8226038)
  • rebuild: sync native modules with the ones used in the electron-rebuild testsuite (bc0049ff)

6.0.0-beta.45

September 5, 2019

Build System / Dependencies

  • pin now to a specific version to avoid bug (90b79c25)

Chores

  • deps:
    • bump webpack-dev-middleware from 3.7.0 to 3.7.1 (#1137) (c9597b31)
    • bump @octokit/rest from 16.28.8 to 16.28.9 (#1135) (faac3fc4)
    • bump cross-spawn from 6.0.5 to 7.0.0 (#1133) (2a44e3da)
    • bump @octokit/rest from 16.28.7 to 16.28.8 (#1127) (15edf18a)
    • bump commander from 3.0.0 to 3.0.1 (#1126) (aa8ae615)
    • bump form-data from 2.5.0 to 2.5.1 (#1121) (402a1ae6)
    • bump electron-packager from 14.0.4 to 14.0.5 (#1118) (d4a743a2)
    • bump webpack-merge from 4.2.1 to 4.2.2 (#1116) (9bbc5204)
    • bump webpack from 4.39.2 to 4.39.3 (#1115) (43640225)
    • upgrade @electron/get to 1.5.0 (04021bb3)
    • [security] bump eslint-utils from 1.4.0 to 1.4.2 (9ee48eef)
    • bump inquirer from 6.5.1 to 7.0.0 (#1106) (2466c5d6)
    • bump electron-rebuild from 1.8.5 to 1.8.6 (#1097) (17eedddb)
    • upgrade yarn-or-npm to ^3.0.1 (0a64ee36)
    • downgrade yarn-or-npm to ^2.0.4 due to a regression in 3.0.0 (10a83d8b)
    • upgrade cross-zip to 2.1.6 (4d1f83be)
    • bump webpack from 4.39.1 to 4.39.2 (#1092) (f2a507eb)
  • deps-dev:
    • bump nodemon from 1.19.1 to 1.19.2 (#1136) (fcc9cca3)
    • bump @types/chai from 4.2.0 to 4.2.1 (30f383f1)
    • bump @types/node from 12.7.3 to 12.7.4 (8ef109ab)
    • bump @typescript-eslint/eslint-plugin (278a9ebe)
    • bump sinon from 7.4.1 to 7.4.2 (#1128) (2fd698b6)
    • bump @typescript-eslint/parser from 2.0.0 to 2.1.0 (8a798dfc)
    • bump cross-env from 5.2.0 to 5.2.1 (8dd7a453)
    • bump eslint from 6.2.2 to 6.3.0 (#1125) (5a297d91)
    • bump @types/node from 12.7.2 to 12.7.3 (1ae253e4)
    • bump typescript from 3.5.3 to 3.6.2 (b9b08dd0)
    • bump eslint from 6.2.1 to 6.2.2 (5bf51965)
    • bump @types/webpack from 4.39.0 to 4.39.1 (4c4e3d68)
    • upgrade to ESLint 6 and friends (#1104) (ef0b6630)
    • bump eslint-plugin-mocha from 6.0.0 to 6.1.0 (a2d04f4e)
    • bump @types/express from 4.17.0 to 4.17.1 (79df0c47)
    • bump @types/webpack from 4.32.1 to 4.39.0 (1b3ae033)
    • upgrade @types/node to 12.7.2 (f0aaba54)
    • upgrade rimraf to ^3.0.0 (2ee24d23)
    • bump proxyquire from 2.1.2 to 2.1.3 (#1091) (7eedab3e)
  • add dependabolt GitHub Action workflow (#1123) (3b005088)
  • replace coveralls with codecov (#1016) (b424380a)

Bug Fixes

  • plugin-webpack: add missing debug level for webpack-dev-middleware (#1131) (2d9eaa12)
  • core: only add stderr to exception if stderr exists (b6cbc378)

Tests

  • core:
    • fix custom template tests (3cd44eb0)
    • fix calls to expectProjectPathExists (86ca42d4)

6.0.0-beta.44

August 12, 2019

Build System / Dependencies

  • use Node 12 for the docs stage on Travis CI (#1057) (fbbf9c8b)

Chores

  • deps:
    • bump inquirer from 6.5.0 to 6.5.1 (#1089) (c9bfa111)
    • bump commander from 2.20.0 to 3.0.0 (#1087) (2a49fb06)
    • bump source-map-support from 0.5.12 to 0.5.13 (#1066) (5d296cfc)
    • bump electron-packager from 14.0.3 to 14.0.4 (#1063) (e41ab8df)
    • bump webpack from 4.37.0 to 4.39.1 (#1075) (bcefe427)
    • upgrade transitive dependencies (db0e50f3)
    • upgrade @octokit/rest to 16.28.7 (2b3da6e7)
    • upgrade electron-osx-sign to 0.4.12 (4c09d8b8)
    • bump electron-packager from 14.0.2 to 14.0.3 (#1052) (0c8beaf7)
    • bump electron-winstaller from 3.0.4 to 4.0.0 (#1051) (30532af1)
    • bump yarn-or-npm from 2.0.4 to 3.0.0 (#1054) (71e27b7b)
    • bump semver from 6.2.0 to 6.3.0 (#1049) (eb7151d2)
    • bump @octokit/rest from 16.28.4 to 16.28.5 (#1039) (240c3241)
    • upgrade webpack to 4.37.0 (e957915c)
  • deps-dev:
    • bump proxyquire from 2.1.1 to 2.1.2 (#1090) (cef4a58e)
    • bump @types/debug from 4.1.4 to 4.1.5 (8482f936)
    • bump @types/inquirer from 6.0.3 to 6.5.0 (799e8880)
    • bump @types/chai-as-promised from 7.1.0 to 7.1.2 (#1084) (3a59c318)
    • bump @types/node from 12.6.8 to 12.7.1 (dbefd974)
    • bump @types/listr from 0.14.1 to 0.14.2 (f61cd42b)
    • bump sinon from 7.3.2 to 7.4.1 (#1076) (5f116992)
    • bump typedoc from 0.14.2 to 0.15.0 (aa65291f)
    • bump @types/webpack from 4.32.0 to 4.32.1 (b0c2beb1)
    • bump @types/node-fetch from 2.3.7 to 2.5.0 (#1050) (c1480c18)
    • bump fetch-mock from 7.3.7 to 7.3.9 (#1043) (e835f8e1)
    • upgrade eslint-plugin-react to 7.14.3 (52f5d12b)
    • upgrade typescript-eslint packages to 1.13.0 (d65f2a8b)
    • bump @types/listr from 0.14.0 to 0.14.1 (affc076d)
    • bump eslint-plugin-import from 2.18.0 to 2.18.2 (acdf8428)
    • bump mocha from 6.1.4 to 6.2.0 (#1038) (8d0372c3)
    • bump eslint-plugin-mocha from 5.3.0 to 6.0.0 (ce6d971b)
  • update Babel Node target to 8 (a0b5e1ed)

New Features

  • maker-base: add a method to check for binaries required for a maker (ec7db014)

Bug Fixes

  • ensure that makers do not overwrite existing un-similar outputs (#1086) (dbc19d89)
  • maker: allow Linux makers to run on non-Linux hosts if possible (c67596bb)

6.0.0-beta.43

July 18, 2019

Chores

  • deps-dev:
    • upgrade dependencies (71f89c28)
    • remove now-unnecessary @types/pretty-ms (a341e444)
    • upgrade babel devDependencies to 7.5.5 (e9269602)
    • remove now-unnecessary @types/form-data (ca6ed54d)
    • upgrade @types/node to 12.6.6 (c755c8a2)
  • deps:
    • upgrade webpack to 4.36.1 (5079a911)
    • upgrade Electron tooling transitive dependencies (948b0803)
  • clean up README and contributing docs (5fb8e55f)

New Features

  • core: add a force flag to init to allow it to overwrite an existing directory (#1020) (dcdc2a1c)

Bug Fixes

  • template-webpack: use css-loader instead of file-loader (#1036) (62b7c195)
  • plugin-webpack: adjust publicPath in renderer only (#1035) (57ca285a)

Refactors

  • core: use Object.entries when mapping makeTargets in the v5 importer (745e7689)

6.0.0-beta.42

July 15, 2019

Chores

  • deps: upgrade @octokit/rest to 16.28.4 (e1012fe1)
  • deps-dev:
    • upgrade @types/form-data to 2.5.0 and @types/node to 12.6.3 (7a1c0148)
    • upgrade proxyquire to 2.1.1 (812bf56f)
    • upgrade typescript-eslint packages to 1.12.0 (6f242937)
    • bump @types/webpack from 4.4.34 to 4.4.35 (ab1628a1)
    • bump @types/html-webpack-plugin from 3.2.0 to 3.2.1 (1de1e3bd)
  • consistent use of Forge/Electron Forge in messages (1d19b320)

Bug Fixes

  • template-webpack: properly remove stylesheet link from index.html (89176b4d)
  • plugin-webpack: properly reference index.js in production (#1021) (d70ae5c2)

Refactors

  • template-webpack:
    • extract rewrite template file function (5b586063)
    • extract copy template file function (cd638744)

6.0.0-beta.41

July 13, 2019

Bug Fixes

  • core: copy index.css to a new project (12fbbd08)

6.0.0-beta.40

July 12, 2019

Build System / Dependencies

  • deps-dev:
    • bump fetch-mock from 7.3.3 to 7.3.6 (#1007) (662b5ce2)
    • bump @babel/preset-env from 7.5.2 to 7.5.4 (8aed6b70)
    • bump @types/node from 12.6.1 to 12.6.2 (41c269d4)
    • bump @babel/core from 7.5.0 to 7.5.4 (938c3e75)
    • bump typescript from 3.5.2 to 3.5.3 (8082ca08)
    • bump @babel/preset-env from 7.5.0 to 7.5.2 (2fdf513f)
    • bump @types/node from 12.0.12 to 12.6.1 (#1000) (362a7666)
    • bump @types/node from 12.0.10 to 12.0.12 (fe44d331)
    • bump eslint-config-airbnb from 17.1.0 to 17.1.1 (c7cfc056)
    • bump eslint-plugin-jsx-a11y from 6.2.1 to 6.2.3 (eedf5496)
    • bump @types/electron-packager from 13.0.0 to 13.0.1 (2656d0ca)
    • bump generate-changelog from 1.7.1 to 1.8.0 (a07abbd6)
    • bump @types/webpack-dev-middleware from 2.0.2 to 2.0.3 (e52eceec)
    • bump @types/webpack from 4.4.33 to 4.4.34 (98f3c0ad)
    • bump eslint-plugin-react from 7.14.0 to 7.14.2 (5c68634e)
    • bump eslint-plugin-import from 2.17.3 to 2.18.0 (cb5fca1f)
    • bump @types/node from 12.0.8 to 12.0.10 (4321f5fc)
    • bump eslint-plugin-react from 7.13.0 to 7.14.0 (91c2bbdb)
    • bump @types/semver from 6.0.0 to 6.0.1 (0d09dacf)
    • bump @types/webpack from 4.4.32 to 4.4.33 (07e24b9e)
    • bump @types/fetch-mock from 7.3.0 to 7.3.1 (f5a7e461)
    • bump @types/node-fetch from 2.3.6 to 2.3.7 (9e0e564b)
    • bump typescript from 3.5.1 to 3.5.2 (a1fb73e3)
    • bump @types/sinon from 7.0.12 to 7.0.13 (7968ce87)
    • bump @types/node-fetch from 2.3.5 to 2.3.6 (b7ca5b04)
    • bump @types/node from 12.0.7 to 12.0.8 (b3fbca87)
    • bump @types/node-fetch from 2.3.4 to 2.3.5 (76b7ac48)
    • bump @types/node from 12.0.5 to 12.0.7 (dd3537d0)
    • bump @types/node from 12.0.4 to 12.0.5 (18903ff6)
    • bump coveralls from 3.0.3 to 3.0.4 (6a14ca87)
    • bump @types/express from 4.16.1 to 4.17.0 (63b7b2cf)
    • bump @types/node from 12.0.3 to 12.0.4 (62276fcb)
    • bump @types/mocha from 5.2.6 to 5.2.7 (8afc1eaf)
    • bump typescript from 3.4.5 to 3.5.1 (c8e62fb4)
    • bump @types/node from 12.0.2 to 12.0.3 (14a7ba84)
    • bump nodemon from 1.19.0 to 1.19.1 (1d3da591)
    • bump ts-node from 8.1.0 to 8.2.0 (1fc358ff)
    • bump eslint-plugin-import from 2.17.2 to 2.17.3 (c0b1fcff)
    • bump @types/sinon from 7.0.11 to 7.0.12 (3b02e6dc)
    • bump @babel/core from 7.4.4 to 7.4.5 (2de77412)
    • bump @types/webpack from 4.4.31 to 4.4.32 (a43b977a)
  • deps:
    • bump @octokit/rest from 16.28.2 to 16.28.3 (#1005) (27798941)
    • bump webpack from 4.35.2 to 4.35.3 (#1001) (03b82b3f)
    • bump form-data from 2.4.0 to 2.5.0 (#989) (588d0581)
    • bump semver from 6.1.3 to 6.2.0 (#984) (dbf23b23)
    • bump open from 6.3.0 to 6.4.0 (#982) (9a969ac6)
    • bump xterm from 3.14.2 to 3.14.4 (#977) (23e5863a)
    • bump @electron/get from 1.3.0 to 1.3.1 (dc952b77)
    • bump inquirer from 6.4.0 to 6.4.1 (#966) (263d1617)
    • bump semver from 6.1.1 to 6.1.2 (#965) (ee82dd8d)
    • bump inquirer from 6.3.1 to 6.4.0 (#955) (bd64ce7d)
    • bump webpack from 4.34.0 to 4.35.0 (#954) (83bc119a)
    • bump @electron/get from 1.2.0 to 1.3.0 (#953) (4b412251)
    • bump form-data from 2.3.3 to 2.4.0 (#952) (f6678c82)
    • bump find-up from 4.0.0 to 4.1.0 (#948) (3783037f)
    • bump @octokit/rest from 16.28.1 to 16.28.2 (#946) (693492fd)
    • bump username from 5.0.0 to 5.1.0 (#938) (47801d90)
    • bump webpack from 4.33.0 to 4.34.0 (#940) (168f4fd5)
    • bump @octokit/rest from 16.28.0 to 16.28.1 (#927) (92d7ab56)
    • bump aws-sdk from 2.471.0 to 2.472.0 (#926) (c500b188)
    • bump sudo-prompt from 8.2.5 to 9.0.0 (#908) (9b504db6)
    • bump webpack from 4.32.2 to 4.33.0 (#910) (56b753da)
    • bump xterm from 3.14.1 to 3.14.2 (#907) (6e62f0e5)
    • bump @octokit/rest from 16.27.2 to 16.27.3 (#900) (0c100e16)
    • bump xterm from 3.13.2 to 3.14.0 (#898) (ed8b2ab1)
    • bump @octokit/rest from 16.27.0 to 16.27.1 (#897) (136d9fe8)
    • bump semver from 6.1.0 to 6.1.1 (#893) (eb1e1bc3)
    • bump express from 4.17.0 to 4.17.1 (#887) (18ceb8ac)
    • [security] bump tar from 2.2.1 to 2.2.2 (70f9ab29)
    • bump @octokit/rest from 16.26.0 to 16.27.0 (#879) (fa4cf33f)
    • bump xterm from 3.13.1 to 3.13.2 (#877) (eca3dad3)

Chores

  • fix problems with working dir check in bump version script (677fa9b2)
  • make sure the changelog modifications are with the proper git tag (#996) (5a5b526f)
  • upgrade declared babel packages to ^7.5.0 where available (fd95c771)
  • upgrade babel packages to 7.5.0 (ba5e42d1)
  • upgrade Electron Packager to 14.0.1 (#987) (00bb5283)
  • upgrade dependencies (3ad14a9d)
  • upgrade fs-extra to ^8.1.0 and @types/fs-extra to ^8.0.0 (#979) (4be12b13)
  • upgrade @types/electron-packager to ^14.0.0 (a4ddf816)
  • upgrade typescript-eslint packages (469c39c5)
  • upgrade to Electron Packager 14 & electron-installer-snap 4 (#958) (8b497ca1)
  • fix sudo-prompt type definition (6f3c2ec3)
  • replace pify with util.promisify (b94692c4)
  • @babel/plugin-proposal-object-rest-spread isn't necessary as of Node 8 (4e179c66)
  • upgrade dependencies for eslint (24edb6ee)
  • upgrade ts-node to 8.3.0 (ee05021f)
  • upgrade dependencies for electron-rebuild (e630efa0)
  • upgrade dependencies for electron-winstaller (373e22f7)
  • upgrade dependencies for typedoc (9a9486d1)
  • upgrade dependencies for electron-installer-snap (089ba6c6)
  • upgrade dependencies for electron-installer-dmg (a84ce5fb)
  • upgrade @malept/electron-installer-flatpak to ^0.10.0 (#944) (8c8083bf)
  • remove unnecessary direct node-gyp dependency (#943) (e60a5cdf)
  • upgrade electron-installer-{debian,redhat} to ^2.0.0 (#928) (8be98bf8)
  • upgrade global to 4.4.0 (7f4d5d0a)
  • upgrade @typescript-eslint/{eslint-plugin,parser} to 1.10.2 (ae434da5)
  • upgrade aws-sdk to 2.471.0 (267c6d2e)
  • upgrade @octokit/rest to 16.28.0 (20733150)
  • upgrade electron-installer-dmg to ^3.0.0 (#914) (6a048cb7)
  • upgrade electron-rebuild to ^1.8.5 (b0e019fd)
  • update README for the create-electron-app command (09fdf05d)
  • deps-dev: bump babel-plugin-source-map-support (5e32bcd9)
  • deps:
    • bump inquirer from 6.4.1 to 6.5.0 (#1012) (aefd33cc)
    • bump xterm from 3.14.4 to 3.14.5 (#1011) (edea6f9f)
  • core:

Documentation Changes

New Features

  • template-webpack: add file-loader/style-loader for handling the static CSS file (054a458a)
  • core: use git config to determine author before username (#920) (57e30a47)
  • Various improvements for electron/template (#950) (641f5218)

Bug Fixes

  • plugin-webpack:
    • check that stats is not empty before sending to multi-logger (#1018) (aa8587bf)
    • provide an output path so that hot reloading works correctly (c8097c2f)
  • core:
    • remove unnecessary character from HTML template (6ab43314)
    • update CI templates to Node 8 and other updates (#975) (de3b4aac)
    • restart app in development via CLI multiple times (#904) (df98fe81)
  • search for the top-level node_modules folder when using yarn workspaces (#902) (a91d8b31)

Other Changes

  • deps:
    • bump lodash.merge from 4.6.1 to 4.6.2 (#1006) (21b40a48)
    • bump lodash.template from 4.4.0 to 4.5.0 (#1003) (3882dab6)

Refactors

  • core: move css in template to a separate file (7c963aaf)
  • convert from electron-download to @electron/get (#921) (e5f74165)

6.0.0-beta.39

May 24, 2019

Bug Fixes

  • handle native modules in the main process correctly in the webpack plugin (8d688b81)

6.0.0-beta.38

May 24, 2019

Bug Fixes

  • add missing @ symbol in webpack template (84f61a7d)

6.0.0-beta.37

May 24, 2019

Bug Fixes

  • use the forked version of the asset relocator (05429a9c)

6.0.0-beta.36

May 24, 2019

New Features

  • support native modules in webpack template (ed5fd371)

6.0.0-beta.35

May 23, 2019

Build System / Dependencies

  • deps:
    • bump webpack from 4.32.1 to 4.32.2 (#873) (1068f9c3)
    • bump semver from 6.0.0 to 6.1.0 (#870) (2d2d6acc)
    • bump webpack from 4.31.0 to 4.32.1 (#868) (6f507e49)
    • bump @octokit/rest from 16.25.6 to 16.26.0 (#864) (d9109fa0)
    • bump @octokit/rest from 16.25.5 to 16.25.6 (#859) (2de035ad)
    • bump xterm from 3.13.0 to 3.13.1 (#861) (81e672e9)
    • bump express from 4.16.4 to 4.17.0 (#862) (59d64fa7)
    • bump node-fetch from 2.5.0 to 2.6.0 (#860) (30a66312)
    • bump @octokit/rest from 16.25.4 to 16.25.5 (#855) (fa9124ad)
    • bump webpack-hot-middleware from 2.24.4 to 2.25.0 (#858) (4293dd08)
    • bump webpack-dev-middleware from 3.6.2 to 3.7.0 (#857) (da19e020)
    • bump @octokit/rest from 16.25.3 to 16.25.4 (#846) (a55cce0a)
    • bump webpack from 4.30.0 to 4.31.0 (#842) (060fa838)
    • bump xterm from 3.12.2 to 3.13.0 (#843) (bc50c923)
    • bump glob from 7.1.3 to 7.1.4 (#841) (c011610a)
    • bump @octokit/rest from 16.25.2 to 16.25.3 (#840) (d240cc34)
    • bump @octokit/rest from 16.25.1 to 16.25.2 (#838) (d926b6df)
    • bump electron-installer-redhat from 1.0.1 to 1.1.0 (#829) (271196a0)
    • bump electron-installer-debian from 1.1.1 to 1.2.0 (#830) (c6a32dd4)
    • bump node-fetch from 2.4.1 to 2.5.0 (#824) (ca1db36b)
    • bump @octokit/rest from 16.25.0 to 16.25.1 (#827) (cf94150f)
    • bump node-fetch from 2.3.0 to 2.4.1 (#815) (864e0e91)
    • bump webpack-hot-middleware from 2.24.3 to 2.24.4 (#810) (c329e3fc)
    • bump node-gyp from 3.8.0 to 4.0.0 (1740ebf8)
    • bump mime-types from 2.1.23 to 2.1.24 (#799) (bd55bac5)
    • bump @octokit/rest from 16.24.3 to 16.25.0 (#793) (0e973e93)
    • bump mime-types from 2.1.22 to 2.1.23 (#787) (668b7815)
    • bump @octokit/rest from 16.24.1 to 16.24.3 (#784) (da9cf5d8)
    • bump inquirer from 6.2.2 to 6.3.1 (#781) (a84a24d4)
    • bump @octokit/rest from 16.23.4 to 16.24.1 (#782) (431ede56)
    • bump webpack from 4.29.6 to 4.30.0 (#780) (636a09c2)
    • bump xterm from 3.12.0 to 3.12.2 (#777) (8359a4f8)
    • bump @octokit/rest from 16.23.2 to 16.23.4 (#768) (d86c17fa)
    • bump source-map-support from 0.5.11 to 0.5.12 (#766) (b0a7fa16)
  • deps-dev:
    • bump @babel/preset-env from 7.4.4 to 7.4.5 (2d82c356)
    • bump @types/inquirer from 6.0.2 to 6.0.3 (7497fa6d)
    • bump @types/node-fetch from 2.3.3 to 2.3.4 (b3a8658f)
    • bump @types/fetch-mock from 7.2.5 to 7.3.0 (d9f91767)
    • bump @types/fetch-mock from 7.2.3 to 7.2.5 (295939b3)
    • bump @types/node from 12.0.1 to 12.0.2 (ab224d41)
    • bump @types/inquirer from 6.0.1 to 6.0.2 (647e3d40)
    • bump @types/node from 12.0.0 to 12.0.1 (53fac4f4)
    • bump cz-customizable from 6.0.0 to 6.2.0 (ababd4f8)
    • bump @types/fs-extra from 5.1.0 to 7.0.0 (7111fa9d)
    • bump @typescript-eslint/eslint-plugin (3d68a19a)
    • bump @typescript-eslint/parser from 1.7.0 to 1.9.0 (638a2878)
    • bump nyc from 14.1.0 to 14.1.1 (954b0e9b)
    • bump @types/fs-extra from 5.0.5 to 5.1.0 (e92eba12)
    • bump @types/node from 11.13.9 to 12.0.0 (bfe59186)
    • bump eslint-plugin-react from 7.12.4 to 7.13.0 (7a0a2e14)
    • bump @types/webpack from 4.4.29 to 4.4.31 (2ecad192)
    • bump nyc from 14.0.0 to 14.1.0 (14bead37)
    • bump @types/node from 11.13.8 to 11.13.9 (99c106fd)
    • bump nodemon from 1.18.11 to 1.19.0 (8ef391cd)
    • bump @types/listr from 0.13.0 to 0.14.0 (aad14f32)
    • bump @babel/plugin-proposal-object-rest-spread (bdb74be6)
    • bump @babel/preset-env from 7.4.3 to 7.4.4 (443e811f)
    • bump @babel/plugin-proposal-class-properties (89cb5262)
    • bump @babel/cli from 7.4.3 to 7.4.4 (39a0fa54)
    • bump @babel/register from 7.4.0 to 7.4.4 (5a9e9a64)
    • bump @babel/core from 7.4.3 to 7.4.4 (1215123d)
    • bump @types/node from 11.13.7 to 11.13.8 (6bfd73aa)
    • bump @types/webpack from 4.4.27 to 4.4.29 (365d7d31)
    • bump @types/node-fetch from 2.3.2 to 2.3.3 (9f16b35c)
    • bump @types/inquirer from 6.0.0 to 6.0.1 (aa86b7e5)
    • bump typescript from 3.4.4 to 3.4.5 (55e5254f)
    • bump @types/node from 11.13.6 to 11.13.7 (267a1084)
    • bump fetch-mock from 7.3.1 to 7.3.3 (#802) (9c0bee40)
    • bump @typescript-eslint/eslint-plugin (7bcf01ac)
    • bump commitizen from 3.1.0 to 3.1.1 (8124d23b)
    • bump @typescript-eslint/parser from 1.6.0 to 1.7.0 (8f2b8e66)
    • bump @types/webpack-merge from 4.1.4 to 4.1.5 (2ccec31f)
    • bump @types/node from 11.13.5 to 11.13.6 (4e558811)
    • bump mocha from 6.1.3 to 6.1.4 (#794) (e82adb77)
    • bump commitizen from 3.0.7 to 3.1.0 (6d36076e)
    • bump typescript from 3.4.3 to 3.4.4 (7cd818ac)
    • bump sinon from 7.3.1 to 7.3.2 (#789) (4b3d5678)
    • bump @types/node from 11.13.4 to 11.13.5 (d6e18dc4)
    • bump eslint-plugin-import from 2.17.1 to 2.17.2 (8c833b6c)
    • bump nyc from 13.3.0 to 14.0.0 (17f5e707)
    • bump @types/webpack-merge from 4.1.3 to 4.1.4 (fa1d6a73)
    • bump cz-customizable from 5.10.0 to 6.0.0 (e9d60b3c)
    • bump eslint-plugin-import from 2.16.0 to 2.17.1 (fa35f96a)
    • bump ts-node from 8.0.3 to 8.1.0 (4198a0ea)
    • bump mocha from 6.1.2 to 6.1.3 (#773) (5f798fe9)
    • bump @types/node-fetch from 2.3.1 to 2.3.2 (dd53d4bd)
    • bump @types/debug from 4.1.3 to 4.1.4 (dd17e103)
    • bump @types/node-fetch from 2.3.0 to 2.3.1 (c40b527b)
    • bump @types/node from 11.13.2 to 11.13.4 (8051ea23)
    • bump mocha from 6.1.1 to 6.1.2 (#763) (edfbdb8d)
    • bump typescript from 3.4.2 to 3.4.3 (def0531b)
    • bump nodemon from 1.18.10 to 1.18.11 (b81c66c1)
    • bump @types/node from 11.13.0 to 11.13.2 (23194f9c)
    • bump mocha from 6.0.2 to 6.1.1 (8e6b3cac)
    • bump typescript from 3.4.1 to 3.4.2 (6818ca99)
    • bump cz-customizable from 5.9.0 to 5.10.0 (19a4e2ae)
    • bump @types/node-fetch from 2.1.7 to 2.3.0 (1bf14cb0)
    • bump cz-customizable from 5.7.0 to 5.9.0 (82e9c4d9)
    • bump @types/node-fetch from 2.1.6 to 2.1.7 (ac2b31e8)
    • bump @types/semver from 5.5.0 to 6.0.0 (8b583a6e)
    • bump @types/webpack from 4.4.26 to 4.4.27 (9fa42eef)
    • bump @typescript-eslint/eslint-plugin (9083bfbc)
    • bump @types/sinon from 7.0.10 to 7.0.11 (d3de8c94)
    • bump eslint from 5.15.3 to 5.16.0 (41fab31b)
    • bump @babel/cli from 7.2.3 to 7.4.3 (06b74a41)
    • bump @babel/register from 7.0.0 to 7.4.0 (83b30d86)
    • bump @babel/plugin-proposal-object-rest-spread (#737) (9713a039)
    • bump @types/inquirer from 0.0.44 to 6.0.0 (#732) (e18750ee)
    • bump @babel/core from 7.3.4 to 7.4.3 (#735) (9dd656e0)
    • bump @babel/preset-env from 7.3.4 to 7.4.3 (#729) (b76b810f)
    • bump @types/debug from 4.1.2 to 4.1.3 (#730) (11272269)
    • bump @types/node from 11.11.3 to 11.13.0 (#726) (8464ca4f)
    • bump typescript from 3.3.3333 to 3.4.1 (#728) (dbfdae96)
    • bump @babel/plugin-proposal-class-properties (#727) (c9a15f35)
  • do not attempt to publish docs on forks (4b3ca888)
  • fix non-beta tagging in the npm publish script (8e062e6f)

Chores

  • improve first-run experience (49bf7a15)
  • remove templates which don't work with Forge 6 (#874) (ef27272a)
  • upgrade electron-installer-snap to ^3.2.0 for Electron 5 sandbox support (1cadd68e)
  • upgrade electron-rebuild deps, including node-abi (b28e51d0)
  • upgrade semver to ^6 (cf002ee9)
  • upgrade dependencies (3a94ad60)
  • drop tslint (#731) (f530aead)
  • replace tslint with eslint to lint mocha tests (#590) (7af36d59)
  • web-multi-logger: fix package description (#806) (567e8e58)

Documentation Changes

  • Fix 'Docs and Usage' link (#723) (7abca7d3)
  • ensure that the CLI package has a README on NPM (00b87a0e)

New Features

  • add a barebones webpack template (3b935c8f)
  • Node 8 support (#875) (db89c4ef)
  • plugin-webpack: allow port to be configurable for web-multi-logger (330d0f59)

Bug Fixes

  • make the version lookup more resilient to install strategy (068c2f81)
  • plugin-webpack:
    • change all LoggerPort to camel case (198ab61c)
    • fix output string color (0c8b7e96)

6.0.0-beta.34

March 21, 2019

Chores

  • temporarily release stable tags for V6 beta (be1cf7b0)
  • switch flatpak maker to @malept/electron-installer-flatpak (#714) (02ddd848)
  • upgrade electron-winstaller to ^3.0.4 (d3e7305c)
  • fix ps1 issue on windows CI (5c13df3b)
  • upgrade dependencies (#701) (83bfe971)

Bug Fixes

  • plugin-webpack:
    • allow port to be configurable (#693) (4da0230f)
    • throw an error if webpack generates compilation errors when packaging (#695) (696b11d9)
  • core: be more descriptive when a plugin/maker/publisher module isn't found (788412e3)

6.0.0-beta.33

February 8, 2019

Chores

  • core: upgrade electron-rebuild to 1.8.3 (45d454a4)
  • upgrade typescript to 3.2.2 (#649) (7abaf7f7)

New Features

  • core: add basic support for non-exact Electron versions (177012e9)

Bug Fixes

  • use git to check that you're in a Git repository (#689) (72b8eea4)
  • abstract base classes should implement shared type interfaces (#684) (d15a8cc2)
  • plugin-webpack: make the PRELOAD_ENTRY variable map to undefined when there is no preload (2e71061a)

Other Changes

6.0.0-beta.32

January 15, 2019

Bug Fixes

  • core: add lodash.merge to package.json (803bb362)

6.0.0-beta.31

January 15, 2019

Chores

  • maker: update debian/redhat/snap installer dependencies (2c22f1be)
  • run now with Node 8 in a separate Travis CI stage (f93da7a5)
  • update dependencies (3b5b8044)
  • use cross-env for windows support in test helper (91c35869)
  • fix linting issue in tools (ec34411a)
  • update all package.json refs to match top level package.json (07fc2aa4)
  • update all deps for v6 (d0bdf611)
  • core: upgrade to Electron Packager 13 (ba612bc4)

Documentation Changes

  • add docs on using the new testing helpers (06c4602b)

New Features

  • core:
    • add support for electron-nightly (a74169ee)
    • add basic Forge v5 to v6 importer (648ef333)

Bug Fixes

  • plugin-webpack: fix incorrect PRELOAD_WEBPACK_ENTRY. (#635) (6eae1b5c)

Refactors

  • make running tests better with --fast and --match utils (fb776e19)
  • plugin-auto-unpack-natives: clean up plugin impl (a05e2dc0)

Tests

  • core:
    • add tests for updateElectronDependency and getElectronVersion (cc93be9e)
    • fix fixture resolution for core tests (7a0dfe9b)
  • publisher-base: add __is test for base publisher (503f3025)

6.0.0-beta.30

November 20, 2018

Chores

  • add yarn integrity SHA's to lock file (e1ea4c3e)
  • make type checking faster, type check entire repo at once (00c5769f)
  • make templates work in v6 (22549d92)
  • update dependencies (cddfb1f5)
  • remove .npmignore from git (61884d33)
  • cli: chmod +x src/electron-forge.js so the compiled file is also executable (ca60a3fd)

Documentation Changes

  • fix CONTRIBUTING.md link in README (01e715fd)
  • add contributing docs (80259589)

Bug Fixes

  • maker-dmg: return correct path from dmg maker (#631) (b6c523c9)
  • maker-wix: correct path to distributable (5eee34f4)
  • core:
    • rename maker fixtures so they will get compiled by babel/typescript (#630) (dabd5956)
    • show the package manager stderr when installing deps fails (2dfde761)
  • fix build failing due to ts-node bug (19f0c03f)
  • clean up the .webpack folder before builds. Fixes #596 (c64b11ce)

Tests

  • core: assert that makers' output files are in the correct directory (50a4f06f)

6.0.0-beta.29

October 16, 2018

Chores

  • add .npmignore when publishing (380762e9)

New Features

  • auto-ignore everything that is not webpack output during the webpack build. Fixes #593 (51a22f74)
  • publisher-bitbucket: initial publish publisher-bitbucket (#571) (82e8c85e)

Bug Fixes

  • maker-deb: return the correct outPath with a prerelease version (#584) (a4fbc0a7)

6.0.0-beta.28

September 10, 2018

Chores

  • use yarn to run commands on CI to make output better (12209b00)
  • upgrade tslint-config-airbnb (3618e991)
  • core: upgrade @types/electron-packager (2bab74c7)

New Features

  • core: resolve forge.config.js by default if it exists (#569) (5431dfa1)

Bug Fixes

  • bumps bolt version in Travis (was already bumped in docker and appveyor (#570) (640ba77b)
  • core:
    • keep track of application restarts and close stdin pipe correctly (#567) (eb29dd6d)
    • resolve publisher config correctly when given a publisher name (#568) (f37476bf)
    • stops breaking regexps in the config parser (8f1d4105)

6.0.0-beta.27

August 6, 2018

Chores

  • add OTP support to the publish script (a5bec3a8)

New Features

  • core: allow no config to be present, default to an empty object (#543) (c71ef163)

Bug Fixes

  • web-multi-logger: fix path to xterm static files (803a22fc)

6.0.0-beta.26

July 20, 2018

Chores

  • core: fix TS build (b9ea8bd4)
  • maker-snap: upgrade electron-installer-snap to ^3.0.0 (e55a9d5b)
  • ensure failures on CI actually fail CI (91ede6fa)

Bug Fixes

  • core:
    • append current version to each sibling dependency of @electron-forge in the boilerplate (#537) (051026da)
    • wait for overrideStartLogic before attempting to resolve the location of the Electron mod (7e74206d)

Code Style Changes

  • core: remove unnecessary semicolon from class definition in make.ts (#530) (8ccff56d)

6.0.0-beta.25

July 12, 2018

Chores

  • core: add *.ts to .editorconfig (#527) (ae0bf4a0)

New Features

  • maker-dmg: update electron-installer-dmg for new features (766259fa)

6.0.0-beta.24

July 6, 2018

Build System / Dependencies

Chores

  • fix linting for else if return syntax (ad061fb1)

Bug Fixes

  • plugin-compile:
    • bind in constructor to make TS happy (5cb74d4c)
    • use correctly bound methods in CompilePlugin (df2acc73)
  • cli: use scoped package path in vscode debugger scripts (#524) (f1b90b67)

6.0.0-beta.23

July 5, 2018

Chores

  • fix sync-readmes running on node 6 (19613388)
  • set up auto deploy of the JS API site (4466904b)

Continuous Integration

  • use NOW_TOKEN on travis to deploy (bdaf564e)
  • install now globally for ci (6b29c325)

Bug Fixes

  • core: makers, publishers and plugins should be resolved relative to current dir not install dir (74e6ac8d)

6.0.0-beta.22

July 4, 2018

New Features

  • plugin-compile: add the electron compile plugin into the monorepo (5907de5d)

Bug Fixes

  • plugin-local-electron: new config setup means that a configfetcher is passed to the plugin not (37a1e071)

6.0.0-beta.21

July 3, 2018

Performance Improvements

  • publisher-nucleus: merge make results when arch/platform/version are all the same to speed up (fbc4db42)

6.0.0-beta.20

June 27, 2018

Refactors

  • update publish tooling to be nicer to people publishing forge itself (4137bda4)

6.0.0-beta.19

June 27, 2018

Chores

  • remove unused gitignore files (816d59e3)

New Features

  • cli: dont check system if the marker file is created (ce5a4a2e)

Bug Fixes

  • add prepareConfig calls to tests (085c75d3)
  • core: do platform filtering later in the make chain to ensure that default platforms are respec (19e0543e)

Performance Improvements

  • measure performance of async oras when in debug mode (3b625ded)

6.0.0-beta.18

June 18, 2018

Bug Fixes

  • core: re-implement the config fetcher syntax from forge, undocumented so we can remove at any t (ebac71c1)

6.0.0-beta.17

June 4, 2018

New Features

  • core: allow mutating packageJSON on load (1b7e4117)

Bug Fixes

  • core:
    • allow multiple plugins, fix bad startLogic check (9164ec51)
    • disable the packagerConfig.all option (#510) (ce363562)

6.0.0-beta.16

May 17, 2018

Chores

  • plugin-local-electron: remove duplicate dep (d0eacbcc)
  • web-multi-logger: set some methods as private for docs (0d737ae7)

Documentation Changes

  • web-multi-logger:

New Features

  • plugin-auto-unpack-natives: add plugin/auto-unpack-natives for automative native node module h (0280d0fa)
  • core: add resolveForgeConfig hook (c2f4cfa6)
  • plugin-webpack: support web workers by defining entry points without HTML files (a85ce4eb)

Bug Fixes

  • core:
    • make packagerConfig and rebuildConfig partial (all things optional) (d499d650)
    • remove default values from template package.json makers (7d1bdf2b)
    • init with required makers as well (04ead91c)

6.0.0-beta.15

May 15, 2018

Bug Fixes

  • plugin-webpack: ensure production mode is only enabled when packaging (dcb2b9ba)

6.0.0-beta.14

May 14, 2018

New Features

  • plugin-webpack: upgrade to webpack 4 (8807c451)

Bug Fixes

  • core:
    • stop specs hanging due to pending process.stdin listener (b747c99b)
    • fix start specs (987161e5)
  • maker-zip: adjust cross-zip require (bd35ecd0)
  • remove .only from specs (86ea1942)

Refactors

  • plugin-webpack: use a single webpack compiler for all renderer process's (674c5f22)

6.0.0-beta.13

May 7, 2018

Bug Fixes

  • web-multi-logger: fix xterm path resolution (39509d9c)

Code Style Changes

  • plugin-webpack: add missing semi (cbe2c182)

6.0.0-beta.12

May 7, 2018

New Features

  • core: add support for restarting the Electron process quickly from terminal (24aab4fd)

6.0.0-beta.11

May 7, 2018

New Features

  • plugin-webpack:
    • log out the web logger URL on start (cdd4cde1)
    • capture logs into web ui, handle preload scripts (e800049b)

Bug Fixes

  • publisher-github: remove deprecated option from @octokit/rest params (#505) (8ffab0b4)
  • plugin-webpack: fix config resolution when providing a string (576844e5)

6.0.0-beta.10

May 4, 2018

Bug Fixes

  • plugin-webpack: ensure methods are bound to class instance (0ee2dbb5)

6.0.0-beta.9

May 4, 2018

New Features

  • plugin-webpack: new webpack plugin (531d3c80)

6.0.0-beta.8

May 3, 2018

Chores

  • fix readme generation for info blocks (7609a87c)

6.0.0-beta.7

May 3, 2018

Chores

  • set up README sync so that docs on the site are published to js.electronforge.io and to npm w (513013e6)

Bug Fixes

  • remove unneeded 2 second timeout (ab64142f)

6.0.0-beta.6

May 3, 2018

Chores

  • maker-zip: update yarn.lock (9714be38)

Documentation Changes

  • plugin-local-electron: add docs for the config options (ebcd4c13)

New Features

  • publisher-nucleus: add publisher-nucleus to add nucleus upload support to v6 (131665cb)
  • generic: add source-map-support for better stacktraces (77077ce2)
  • plugin-local-electron: add plugin-local-electron (8af92682)

Bug Fixes

  • fix changelog generation (faeec5a6)
  • core:
    • fromBuildIdentifier moved to the utils object (46aaf7ac)
    • fix error log for package for new path to packagerConfig (fef9bcd5)

Refactors

  • maker: replace zip-folder with cross-zip (#325) (e06aa0b7)

Code Style Changes

Tests

  • plugin-local-electron: add tests for the local electron plugin (61b36329)

6.0.0-beta.5

May 1, 2018

Documentation Changes

Bug Fixes

  • core: fix make not respecting mas as a target platform (10b38765)

6.0.0-beta.4

May 1, 2018

Chores

  • docs:
    • fix changelog for last 2 versions (bc8620e0)
    • Fix image sizing in README (74fcd749)
  • generic: upgrade @octokit/rest, ora, & proxyquire (#477) (825c7f2c)

New Features

  • core:
    • add fromBuildIdentifier helper for dynamic at-build-time config (dc6c9fce)
    • V6 Docs (#496) (dab06d9c)
  • maker-pkg: add new maker for .pkg files on macOS (8728baa1)

Bug Fixes

  • core: check packageJSON.main is set and don't enforce subdir rule (ebd9a958)

Refactors

6.0.0-beta.3

April 17, 2018

6.0.0-beta.2

April 16, 2018

Chores

  • tools: update dependency version for electron-forge modules to be latest on bump (1029d32b)
  • tooling: add publish script (c5b6c6a3)
  • core: remote gitignore (c97b25dd)
  • add missing files from 6.0.0-beta.1 (24cdcb55)

6.0.0-beta.1

April 16, 2018

Chores

  • generic: upgrade to Electron Packager 12 (#478) (cd4161a5)

New Features

  • core: V6 API (#433) (364ba8d8)
  • generic: remove electron-compile, make forge less opinionated and quite vanilla (d59695ec)

5.1.1

February 15, 2018

Chores

  • packager: upgrade electron-packager to 11.0.0 (dee72fd1)
  • generic: upgrade node-fetch to 2.0.0 and fetch-mock to 6.0.0 (42abee35)

5.1.0

February 5, 2018

New Features

  • publisher: add GitHub Enterprise/HTTP proxy support to the GitHub publisher (14151022)

5.0.0

February 1, 2018

New Features

  • publisher:
    • add snapcraft publisher (c5b7d0d7)
    • add dir to publisher args & convert args from positional to keyword (45ace6cf)
  • maker: add builtin snap support (86f987d7)

4.3.0

January 31, 2018

New Features

Bug Fixes

  • maker: wix only works on win32 currently (707a1e33)

Other Changes

Refactors

  • maker: extract author name parsing into its own function (fa80cd3d)

4.2.1

January 29, 2018

Chores

  • generic:
    • upgrade mocha to 5.x (01857a8e)
    • upgrade electron-installer-debian to 0.8.x (0bcedfe8)
    • replace node-github with @octokit/rest (e1f26075)
    • upgrade github to v13 (a80ff504)
    • upgrade fs-extra to v5 and inquirer to v5 (0ecc57dd)

Documentation Changes

  • generic: add support document & move debugging section there (d3f610c4)

Bug Fixes

  • installer: hdiutil output should be a string (e511206b)

4.2.0

January 8, 2018

New Features

  • generic: allow specifying a build identifier that segregates build artifacts (0e483659)
  • rebuilder: allow configuration of electron-rebuild (b986f264)

4.1.9

January 8, 2018

Bug Fixes

  • packager: packager hooks should be executed sequentially (e844b1d1)

4.1.8

January 8, 2018

Chores

  • maker: upgrade electron-installer-flatpak to 0.8.0 & re-enable its tests (9c199e0d)

Documentation Changes

  • starter: add note to readme about debugging on the command line (26f347a6)
  • generic: add link to electronforge.io repository in contributing docs (c3332688)

Bug Fixes

  • generic: tabtab install breaks in bash for windows (a5f8b40f)
  • maker: fix detection of flatpak artifact (4d5378c2)

4.1.7

December 24, 2017

Chores

  • generic:
    • don't nonzero-exit when trying to install tabtab completions (0e18fe34)
    • don't use deprecated mocha CLI flag (e13e6380)
  • tests:
    • move default test config to mocha.opts file (f681176c)
    • remove intermediate layer when running via Docker (6282a115)
    • cache node_modules in CI (fcef3826)

Documentation Changes

  • packager:
    • clarify why dir/platform can't be set in Packager config (f2b5c4a3)
    • clarify why arch can't be set in Packager config (df5a018e)

Bug Fixes

  • packager: package spinner isn't defined when asar.unpack is checked (435e83d0)
  • initializer: electron versions for babel-preset-env should be strings (35120b1c)

Other Changes

Refactors

  • generic: Use readJson and writeJson (1a1884d1)

4.1.6

December 6, 2017

Bug Fixes

  • importer:
    • Fix typo in dependency check (24267fe4)
    • handle the case where productName doesn't exist (23f191a8)
  • generic: assume invalid semver package manager versions are incompatible (076c78e1)

Refactors

  • maker: DRY up linux config transformations (a39011b8)

4.1.5

November 24, 2017

Bug Fixes

  • packager: fix custom afterCopy, afterPrune not being included (c9e23e38)

4.1.4

November 21, 2017

New Features

  • packager: add support for hook files for electronPackagerConfig.afterPrune (e847a78e)

Bug Fixes

  • publisher: fix publishing a saved dry run on a different device from the initial dry run (a2c33eb8)
  • packager: move the rebuild hook to after pruning finishes (cce9db42)
  • importer: adjust Forge config defaults just like in init (38f9a3d4)

Refactors

  • packager: resolve hook files in a common function (08d55772)

4.1.3

November 10, 2017

Chores

  • generic: replace the deprecated babel-preset-es2015 with babel-preset-env (b3499edf)

Bug Fixes

  • make: allow building for MAS inside make logic (5e6411ec)
  • packager: warn if the app version is not set (29070ca6)
  • importer: warn if the package.json being imported does not have a version (e55ea98d)
  • starter: throw an error if the app version is not set in package.json (69b29958)

Tests

4.1.2

September 27, 2017

Bug Fixes

  • generic: correct the getOwnPropertyDescriptor proxy hook to respect current properties writabil (8e9872bc)

4.1.1

September 27, 2017

Bug Fixes

  • generic: ensure config proxy doesn't prevent access to built-ins (07047889)

4.1.0

September 26, 2017

Chores

  • generic:
    • upgrade electron-windows-store to 0.12 (fcdc0a02)
    • upgrade cz-customizable, and github (9156296b)

Documentation Changes

  • maker: mention that make can support non-host platforms (6c302198)

New Features

  • initializer: add electron-squirrel-startup to the default template (e0e42aa2)

Bug Fixes

  • generic:
    • automatically warn w/a nightly package manager version (d997ba0c)
    • blacklist NPM 5.4.[01] on Windows (063caca4)
  • init: run package manager commands via cross-spawn (cbee55e2)
  • publisher: allow config for Electron Release Server to be read from envars (50d35374)
  • tests: use a newer version of native-metrics (1e7c175e)

Refactors

  • generic:
    • use cross-spawn-promise instead of spawn-rx (5a9848c7)
    • replace electron-host-arch with hostArch in Electron Packager (45afdfb5)
  • maker:
    • use makeCert from electron-windows-store (c31ceef6)
    • use the target platform/arch API from Packager to determine "all" archs (f9c4c20c)

4.0.2

September 10, 2017

Bug Fixes

  • generic: whitelist yarn >= 1.0.0 (36bc34ad)
  • linter: don't pass --color to linters that don't support it (66354fb6)
  • tests:

4.0.1

September 5, 2017

Bug Fixes

  • generic: tabtab install script fails on non-*nix systems (fc3c0301)

4.0.0

August 30, 2017

Chores

  • publisher: use SHA256 instead of md5 (c69db80f)
  • generic: upgrade Electron Packager to 9.x (6275d2bf)

Documentation Changes

  • publisher:
    • improve docs for publish function (7766a27c)
    • mention that multiple targets are allowed (3ec0cfa6)
    • fix S3 config key typo (4225683b)
  • maker: document the return result of make (5399f500)

New Features

  • publisher: adds dryRun and resumeDryRun to the API to allow post-make publishes (288edbc1)
  • initializer:
    • only copy CI files if specified (fd6f2f9b)
    • add Travis/AppVeyor CI files to default template (296bdde8)

Bug Fixes

  • generic:
    • clean up package manager warning output (894ed0a9)
    • add yarn 0.27.5 to the whitelist, but only for darwin/linux (88b92fce)
    • fix installing tab completion when installing Forge locally (7ea49812)

Refactors

  • publisher:
    • make dryRun object storage make more sense (f8d807ed)
    • rename target option to publishTargets in API (4b68880d)
  • initializer: make init options camelcase (f4459822)

Tests

  • maker: Fix make test for new return type (d6393567)
  • publisher: fix dry run specs (d2085812)

3.2.0

August 17, 2017

Chores

  • generic:
    • use the xcode8.3 image for Travis OSX (c24ae48c)
    • upgrade dependencies (9d17ca9e)
  • tests: fixup comma arch test (565fce42)

Documentation Changes

  • generic: mention alternate ways of creating new Electron apps with Forge (419962a8)
  • packager: list the Packager options that are not configurable (bb33d9b6)

New Features

  • initializer: add Forge as a devDependency to new Electron projects (6d2cf4b0)
  • generic: print a warning if the package manager used is not a known good version (a4c36fa4)

Bug Fixes

  • maker: allow comma seperated arches in make as well as package (9c69b08b)

3.0.5

June 17, 2017

Bug Fixes

  • maker: fix debian and redhat maker path calculation (c2dca211)

3.0.4

June 15, 2017

Chores

  • tests: remove unnecessary chai-fetch-mock dependency (196a64db)

Bug Fixes

  • maker: handle name option for the deb, rpm makers as well as dmg (d335741a)
  • generic: add executable permissions to vscode.cmd (33532f79)

Refactors

  • installer: replace electron-sudo with sudo-prompt (0ea55fab)

3.0.3

May 26, 2017

Bug Fixes

  • initializer: fix bad logic RE argument parsing from the top level forge command (774b8769)

3.0.2

May 25, 2017

Bug Fixes

  • starter: fix double dash arg pass through (0379e5fc)
  • maker: fix renaming of DMG output when a custom name is provided (14cc927a)
  • tests: fix appx tests (maker did not return output path) (8d895cfc)
  • initializer: fix linting install for airbnb style (b3446184)

Refactors

  • generic: replace fs-promise with fs-extra (012b152f)

Tests

  • maker: add tests for the DMG maker to ensure the renaming logic is correct (8f5f9691)

3.0.1

May 3, 2017

Bug Fixes

  • publisher: fix ers publisher not publishing when version already exists (1c643ef9)
  • maker: fix dmg output path and add test to enforce in future (a41d6db3)

3.0.0

May 1, 2017

Chores

  • undefined: fix devDependency peer dep versions (c5c8e9a9)
  • generic: add breaking changes prompt to npm run commit (566fd6fb)

Documentation Changes

  • publisher: add docs for the new ers publisher (e70405a8)

New Features

  • publisher: add new publisher for electron-release-server (0c68ebab)
  • makers: Ensure all assets outputted by make are versioned (6dda5179)
  • maker:
    • create and consume a common util to check makers' supported platforms (fa53340b)
    • declare deb maker support for darwin & linux platforms (f10fbd18)

Bug Fixes

  • start: exit forge with same status code as Electron if nonzero (a509f55a)
  • tests: make optionFetcher-related tests compile again (1097f8bd)
  • docs: rm note that package api's platform opt is ignored (eefa93f0)

Refactors

  • starter: use double dash instead of triple dash to pass args through (e3a1be64)
  • utils: filter packages' os declarations to exclude blacklist entries (fbaec97f)
  • maker: support make for targets on non-host platforms (f79f6f78)
  • util: extend requireSearch to export a raw search fn (84f0134b)

Tests

  • publisher: fix publisher tests for new syntax (c19d1c2a)
  • maker: add test to confirm dummy maker does not get called (556deaac)

2.12.0

April 25, 2017

New Features

  • maker: basic hooks for preMake, postMake, generateAssets, prePackage and postPackage (1a17189b)

Bug Fixes

  • maker: do not enforce the name property on the DMG maker (1b10fd57)

2.11.1

April 19, 2017

2.11.0

April 19, 2017

New Features

  • maker: allow maker configs to be functions that return values based on arch (d9cbec5a)

2.10.0

April 16, 2017

Chores

  • generic:
    • fix/rename coverage sending script (547c044f)
    • update various dependencies (0f97292c)

New Features

  • starter:
    • windows implementation of the vscode debug command (9cb7f42c)
    • provide an executable to start forge in a vscode debugger compatible way (1238dee5)

2.9.0

April 2, 2017

Chores

New Features

  • importer: add configurable outDir support for gitignore (9369284f)

Bug Fixes

  • initializer:
    • update Electron version type in .compilerc template, for completeness (a4fa4bfc)
    • set electron version to be float in init step (710129b7)
  • maker:
    • upgrade rpm maker for better package.json handling (926032e8)
    • test outDir on zip target only, after other targets run (a2c92499)
    • pass computed outDir to packager (686200f6)
    • search local node_modules folder for maker when installed globally (9b8f2970)
  • tests:
    • stop awaiting mocha and ensure we clean up out dirs (2e6dc384)
    • use expect(await ...) syntax per @marshallofsound (59ddf9af)
  • generic: use path.resolve (vs /-delimited) to compute default outDir (ff167447)
  • packager: correct main file reference in thrown error from packageJson.name to .main (a68284b1)
  • publisher: check local node_modules when searching for publisher (42fad7f3)

Refactors

  • maker: compute outDir from providedOptions w/default (d69e7626)
  • packager: compute outDir from providedOptions w/default (1e26d258)

Code Style Changes

Tests

  • tests: add tests for packager & maker outDir support (32cecffd)

2.8.3

March 10, 2017

Chores

  • generic:
    • update react-typescript template (30516e78)
    • make release script work on windows (0ff6a7ab)

New Features

  • starter: automatically wipe the ELECTRON_RUN_AS_NODE variable unless specified (c702fe4a)
  • generic:
    • Support setting the Electron app path in start() (47c5572e)
    • allow third party modules to be named whatever they want (fddb40e6)

Bug Fixes

  • publisher: use updated node-github response API (0f8e6c4f)
  • maker:
    • fix the squirrel maker app name logic (84031ecb)
    • allow most appx default config to be overridden by the user (b1e90538)
  • tests: ensure test project has proper metadata filled (0bc81858)

2.8.2

February 28, 2017

Chores

  • templates: bump all template versions (32297344)

Bug Fixes

  • ci: Use the preinstalled yarn on AppVeyor (#146) (7a1deee7)
  • publisher: Fix secret access key (0a9710b5)

2.8.1

February 23, 2017

Chores

  • generic:
    • add checkboxes and intros to the issue/PR templates (a1ab1c3a)
    • fix formatting in GitHub issue template (da95b42b)
  • tests: remove now obsolete flatpak call in Linux tests (b93b6cfe)

Documentation Changes

  • publisher:
    • mention the standard AWS environment variables in the README (efc7ea14)
    • add example for GitHub publish target (3fc0a9c2)

New Features

  • packager: remove the users forge config after packaging for safety reasons (7432e034)
  • publisher:
    • allow usage of standard AWS environment variables for S3 publishing (d31ce248)
    • add S3 publish target (fa31902a)
    • allow platform level config for publish targets (8572cad6)
  • generic: allow config options to be automagically pulled in from process.env (250c197f)

Bug Fixes

  • tests:
    • fix forge config deletion tests on all platforms (7b99e847)
    • fix test failures caused by config structure changes (3a3cdfdb)
  • importer:
    • install electron-prebuilt-compile as devDep (e80be32a)
    • check updateScripts value at script install vs deps removal (4942cb60)
    • ensure electronName exists before resolving its path (9dcf2ec5)
  • publisher: throw an exception if a GitHub token isn't specified (bc299b7a)
  • initializer: add github_repository.name to package.json in default template (d1ceadf3)

Refactors

  • publisher: add deprecate method call to inform the user (24571197)

Code Style Changes

  • util: fix typo re: imagePath (9e064cf3)

2.8.0

February 2, 2017

Chores

  • gitignore: ignore npm-debug.log files (06b824ee)

New Features

  • importer: allow the implementer to decide whether to override scripts or not (f85e194f)
  • starter: resolve start api usage with a handle to the spawned process (b5ba30e3)

Bug Fixes

  • importer: if no electron was found install the latest version by default (c8b12fbf)
  • generic: make all process.exit and console calls respect the interactive setting (a3e43315)

Refactors

  • generic: add wrappers for console.info and console.warn (f223df85)

Tests

  • starter: add test for returned childProcess.spawn (f2c128e4)

2.7.5

January 29, 2017

Chores

  • tests: add eslint-plugin-mocha (74397232)
  • generic: update electron-installer-dmg to version 0.2.0 (aa8034b1)

Bug Fixes

  • tests: update tests due to changes in #101 (912b4f69)
  • maker: detect out path of package step correctly (6d15c62d)
  • tabtab: dont install tabtab in a development environment and ignore tabtab install errors (f0cb0417)

Code Style Changes

  • generic: fixed typos (2f869d81)
  • tests: ignore intentionally wrong code in test (f01f9907)

Tests

  • initializer: add nonexistent template test (6f26c64f)
  • generic: increase test coverage of the init API (2c9caddf)
  • starter: add test coverage for starter (0d2f5712)
  • installer: add test coverage for the installer (4049e31c)
  • tests: increase test coverage on util modules (6c63aafa)

2.7.4

January 27, 2017

Documentation Changes

  • generic: clarify what the major package dependencies are (559956b3)

Refactors

  • generic: move ora.ora to an ora helper for ease of submodule use (ee33638a)

2.7.3

January 25, 2017

New Features

  • installer: manually mount and scan a DMG file when installing for the .app (7ea5af8a)

Bug Fixes

  • packager: fix resolving of afterCopy and afterExtract hook paths (bd4df685)
  • installer: fix install prompt when multiple compatable targets found (9a2f36c9)

Code Style Changes

  • generic: remove unnecessary eslint pragmas (23d1aa9f)

2.7.2

January 18, 2017

Bug Fixes

  • packager: force upgrade to electron-rebuild 1.5.7 (f2912db5)

2.7.1

January 15, 2017

Chores

  • generic:
    • alphabetize custom eslint rules (e7f6eeb6)
    • disable the no-throw-literal eslint rule (05f893e8)

Bug Fixes

  • initializer: handle local templates correctly (42bf745a)
  • alias: fix the forge alias so that it can run the make command (725e6b06)

2.7.0

January 14, 2017

Documentation Changes

  • initializer: document the built in templates (b0eec7c3)

New Features

  • initializer: add userland templates to forge (bcba06a2)

2.6.0

January 10, 2017

Chores

  • deps: Update electron-windows-store (761464f0)

New Features

  • importer:
    • ensure the user is aware of any script changes we make (cbb73e7e)
    • import now sets the scripts section in package.json to be forge scripts (cb01d406)
  • initializer: template package.json now includes package and make scripts (272d9b1e)
  • rebuilder: show rebuild progress from the electron-rebuild lifecycle (26f23b48)
  • generic:
    • use electron-rebuild instead of generic rebuild logic (3d26da5b)
    • add basic tab completion for top level commands (30082bbf)

Bug Fixes

  • packager:
    • check asar.unpack correctly (150ea5dd)
    • clarify entry point error messages (969ab1ea)
    • throw errors on an uncompilable entrypoint (b7f7b81c)
  • initializer:
    • unpin electron-compilers (9e2aefaa)
    • unpin eslint-plugin-jsx-a11y (02b6e367)
    • pin electron-compilers dependency due to typescript bug (4ebafa8d)

Refactors

  • packager: upgrade to Electron Packager 8.5.0 (b8489b47)

2.5.2

January 7, 2017

Bug Fixes

  • publisher: dont call make twice while publishing (55bfe1ac)

2.5.1

January 5, 2017

Chores

  • undefined:
    • istanbul-lib-instrument is no longer required (f60dd586)
    • upgrade to version of babel-plugin-istanbul that should address regression (0913506b)

Bug Fixes

  • importer: fix relative path to tmpl directory (b39c1008)
  • undefined: regression in istanbul-lib-instrument and babel-plugin-istanbul should now be addressed (58b9791e)

2.5.0

January 3, 2017

Chores

  • generic:
  • tests:
    • fix appx tests on rebased branch (75f217a5)
    • move tests to be unit tests on the API and enable coverage (54603c1e)

Documentation Changes

  • generic:
    • fix option variable names (0923ac1e)
    • cleanup API docs (9c118a4f)
    • add doc formatting guidelines based off of pycodestyle (6efa5259)
  • importer:

New Features

  • generic:
    • expose some util methods through JS API (a506dd33)
    • expose top level methods as JS APIs (93fb48f5)
  • publisher: add draft and prerelease options for publishing to github (898de235)

Bug Fixes

  • generic: lock istanbul dependency versions to prevent bug (205104c4)

Refactors

  • generic: refactor confirm prompts into a helper for interactive mode (b495012e)

Tests

  • generic: add tests for lots of the utils (d0962b93)

2.4.0

January 3, 2017

New Features

  • maker: add support for Windows Store (AppX) packages (74a12163)
  • starter: switch the default Babel preset to use babel-preset-env (4e3bb17b)

Bug Fixes

  • starter: ensure linebreak-style is disabled (ac7a20bc)

2.3.0

January 1, 2017

Chores

  • installer: use the ora helper in the install command (9358eb42)
  • generic:
    • add installer to cz config (3b253b11)
    • only send slack notifications on build change (838d70e7)
  • tests: make sure ora knows that the Docker container is for CI (41d25ea7)

New Features

  • installer:
    • add rpm installer (f8f9baa5)
    • don't suffix temp install files with .forge-install (1c2bfd81)
    • add deb installer (fb217c74)
    • add DMG support for macOS installer (3465d261)
    • add inital app installer for macOS platform (da3150d9)
  • generic:
    • use an ora/promise helper instead of a global uncaughtRejection handler (#50) (1b6b7276)
    • travis build notifications (d25f1461)

Bug Fixes

  • installer:
    • fix installer debug key (24454950)
    • dont fetch prerelease versions unless instructed (1b88b153)
    • await promises through the linux install chain (a0b5ac70)
    • remove flatpak check (0b044134)
    • wildcard the extension matchers (1489e641)

Refactors

  • installer:
    • use single regexp to make repo path safe (1255803b)
    • finish replacing sudo-prompt with electron-sudo (d8587930)
    • replace sudo-prompt with git branch of electron-sudo for Linux installers (9834cb1b)
    • check that the linux installer program exists first (fb56c542)
    • update the ora text wh have resolved a repo but not found a release (5cbf8cb8)

2.2.0

December 30, 2016

New Features

  • initializer: allow custom initialzers (9e6ddfa0)

Tests

  • initializer: add test for custom initializer (0dc62307)

2.1.0

December 30, 2016

Chores

  • generic: add importer to the git-cz list (fbf691cb)
  • tests: remove .only from util_spec (3b01f08c)

New Features

  • importer:
    • confirm build tool package removal from user (3b548557)
    • delete existing Electron build tools from package.json (4152bd2d)
    • move babel config in existing project to .compilerc (b09fc3d6)
    • fix the projects gitignore on import (75366bfe)
    • create inital import logic (bddb9038)
  • maker: allow user to override make targets (bac86800)
  • generic: allow config options to use string templating (5a568cb8)

Bug Fixes

  • importer:
    • pretty print the compilerc file (07f06b40)
    • update the logging as per PR feedback (dac33f0d)
  • rebuild: skip dependencies without a package.json file (3348223d)
  • packager: remove stray .bin files leftover by yarn installs during packaging (50ad8e6d)

Refactors

2.0.0

December 30, 2016

Chores

  • generic: add publisher to cz config (8653b62b)

Documentation Changes

  • publisher: document the API for custom makers and publishers (81ed28d7)

New Features

  • publisher: initial work on a publish command to sent make artifacts to github (189cb0cc)
  • generic: map the alias bin commands to the correct commander files (f1cac740)

Bug Fixes

  • publisher:
    • publish to the correct version (02fe5699)
    • throw custom 404 if we cant find the release (6f4e1ed4)
  • maker: fix RPM maker outPath variable (4b32fe42)

Refactors

  • publisher: move github publish logic to own file (bdaff3ce)

Tests

  • generic: add tests for the require-search util (b7930eaa)

1.1.0

December 27, 2016

Chores

  • tests: run flatpak runtime install in local Dockerfile (d046965f)
  • generic: add pretest step to improve development (558fae31)
  • packages: upgrade fs-promise and inquirer (#18) (d51d482f)

Documentation Changes

  • generic: document the new JS file option for config (2d44c41f)

New Features

  • rebuilder: only rebuild prod and optional deps (ignore dev deps) (d751a85f)
  • generic: allow JS files to provide the config object (e57f3c78)

Bug Fixes

  • packager: allow hooks to be strings or functions depending on config setup (ec0caecc)
  • rebuilder: rebuild modules inside @ scoped folders as well (#19) (bc21528d)
  • generic: document that the minimum Node version is 6 (1f5ac7f2)

Refactors

  • generic:
    • standardize reading package.json files (#33) (0855eacf)
    • replace mkdirp/rimraf calls with equivalent fs-promise calls (bb2c6cf3)
  • tests: use different native modules so the tests run on CI (d20387b7)

Tests

  • generic: only skip help spec on Windows (#34) (202987e1)
  • builder: add tests to ensure correct behvior of the native module builder (b79c7af5)

1.0.1

December 12, 2016

Chores

  • tests: add AppVeyor support (#15) (fe63ac0b)

Bug Fixes

  • starter: fix launching on newest yarn (8c5bc656)

1.0.0

December 11, 2016

Chores

  • generic:
    • rename all instances of marshallofsound to electron-userland (9981fcbb)
    • fix changelog link parsing (07defb76)
  • packager: remove commented code (35745594)
  • maker: add mas default targets (775459cd)

New Features

  • maker:
    • enable MAS makes on darwin platform (d8ac9ad8)
    • allow make to target different or multiple arches (3d4ee593)

Bug Fixes

  • maker: build armv7l distributables when arch=all (f6d28c32)
  • packager:
    • change arch name when armv7l is packaged during arch=all (132b3670)
    • fix the third arch ora on linux (894fd4e7)
    • fix ora sequencing when running with --arch=all (e4dfdede)

Refactors

  • generic: replace process.arch with a function that handles arm arches better (81fa0943)

0.1.0

December 11, 2016

Chores

  • tests:
    • install g++ since Docker Hub won't create a new image (f219e994)
    • disable building branches on Travis CI (12e5d99e)
  • initializer: output logs of the install step on failure (20c0b12a)
  • generic:
    • make the changelog link to the relevent commits (ee6a7d86)
    • set up changelog generation (9a3854f1)

Documentation Changes

  • generic:
    • add contributing/issue/pull request docs + news (d25d701d)
    • clean up README (eddd61d8)
  • packager: fix syntax of hook docs (84a1a063)

New Features

  • packager: rebuild native modules automatically in all the right places (1d1ff74d)

Bug Fixes

  • packager:
    • output rebuild errors if there are any (f8ffca13)
    • rebuild pre-gyp modules with their binary variables (ed9137dd)

Refactors

  • packager: make the rebuild a promise and use an ora (bc1ec28d)

0.0.9

December 11, 2016

Documentation Changes

  • packager: document the require mapping of the hooks (87fb6aa6)

New Features

  • packager: map afterExtract hooks to require calls (623a0001)

0.0.8

December 11, 2016

New Features

  • maker: add the flatpak maker for the linux target (218518ef)

Refactors

  • packager:
    • move packager compile logic to a electron-packager afterCopy hook (c10bcd29)
    • upgrade to Electron Packager 8.4.0 (with quiet option) (9ab19b5f)

0.0.7

December 11, 2016

Documentation Changes

Bug Fixes

  • starter: pass through env to started application (834729fb)
  • maker: spawn the zip command in the containing directory (e909a0c4)
  • initializer: add electron-compile to the prod dependencies of the initialized app (5a56efb9)

0.0.6

December 11, 2016

Chores

  • tests:
    • run different package installers in different Travis workers (028bcfbf)
    • run Travis with OSX and Linux workers (9d1b0291)

Documentation Changes

New Features

  • maker:
    • add the rpm maker for the linux target (85821f27)
    • add the deb maker for the linux target (5c5ce67a)
    • add the dmg maker for the darwin target (aaceb3f2)
  • build: add git-cz for semantic versioned commits (cdbc78b6)

Bug Fixes

  • maker:
    • add a santizied app id to the electronWinstaller config on init (20ae889e)
    • move electron-installer-debian to optional deps so that installs work on windows (661b1eb6)
    • correct path/arch of generated deb file (63ff52b2)
  • generic: fix package.json warning about repository (f21a87aa)
  • packager: throw error when electron-prebuilt-compile is not found (23449956)

Refactors

  • maker:
    • DRY up app name (f5ae494f)
    • add packageJSON to the function arguments (e8e1054a)
    • create ensure{Directory,File} to rimraf+mkdirp the given output (b3b616a0)
  • generic:
    • add debug calls to the linter (3e116109)
    • add the 'debug' module for standard debug logging (9f4c0b49)
  • packager:
    • remove stray log (f4f36b59)
    • move the electron-packager dependency to forge instead of the users module (2e695c21)

Code Style Changes

  • generic:
    • disable some eslint rules that don't make sense in a CLI tool (f1f06acf)
    • change eslint rules to allow strange linebreaks (4b7a22e3)

Tests

  • resolve-dir: add a fixture that is actually an electron-forge package.json file (e0e712dd)

0.0.5

December 11, 2016

0.0.4

December 11, 2016

0.0.3

December 11, 2016

0.0.2

December 11, 2016

0.0.1

December 11, 2016